# This file was automatically created by FeynRules 2.3.29
# Mathematica version: 11.3.0 for Linux x86 (64-bit) (March 7, 2018)
# Date: Fri 13 Dec 2019 17:37:09



from object_library import all_parameters, Parameter


from function_library import complexconjugate, re, im, csc, sec, acsc, asec, cot

# This is a default parameter object representing 0.
ZERO = Parameter(name = 'ZERO',
                 nature = 'internal',
                 type = 'real',
                 value = '0.0',
                 texname = '0')

# User-defined parameters.
RRd1x3 = Parameter(name = 'RRd1x3',
                   nature = 'external',
                   type = 'real',
                   value = 0.990890455,
                   texname = '\\text{RRd1x3}',
                   lhablock = 'DSQMIX',
                   lhacode = [ 1, 3 ])

RRd1x6 = Parameter(name = 'RRd1x6',
                   nature = 'external',
                   type = 'real',
                   value = 0.134670361,
                   texname = '\\text{RRd1x6}',
                   lhablock = 'DSQMIX',
                   lhacode = [ 1, 6 ])

RRd2x3 = Parameter(name = 'RRd2x3',
                   nature = 'external',
                   type = 'real',
                   value = -0.134670361,
                   texname = '\\text{RRd2x3}',
                   lhablock = 'DSQMIX',
                   lhacode = [ 2, 3 ])

RRd2x6 = Parameter(name = 'RRd2x6',
                   nature = 'external',
                   type = 'real',
                   value = 0.990890455,
                   texname = '\\text{RRd2x6}',
                   lhablock = 'DSQMIX',
                   lhacode = [ 2, 6 ])

RRd3x5 = Parameter(name = 'RRd3x5',
                   nature = 'external',
                   type = 'real',
                   value = 1.,
                   texname = '\\text{RRd3x5}',
                   lhablock = 'DSQMIX',
                   lhacode = [ 3, 5 ])

RRd4x4 = Parameter(name = 'RRd4x4',
                   nature = 'external',
                   type = 'real',
                   value = 1.,
                   texname = '\\text{RRd4x4}',
                   lhablock = 'DSQMIX',
                   lhacode = [ 4, 4 ])

RRd5x1 = Parameter(name = 'RRd5x1',
                   nature = 'external',
                   type = 'real',
                   value = 1.,
                   texname = '\\text{RRd5x1}',
                   lhablock = 'DSQMIX',
                   lhacode = [ 5, 1 ])

RRd6x2 = Parameter(name = 'RRd6x2',
                   nature = 'external',
                   type = 'real',
                   value = 1.,
                   texname = '\\text{RRd6x2}',
                   lhablock = 'DSQMIX',
                   lhacode = [ 6, 2 ])

MBt1 = Parameter(name = 'MBt1',
                 nature = 'external',
                 type = 'real',
                 value = 100.,
                 texname = '\\text{MBt1}',
                 lhablock = 'GLD',
                 lhacode = [ 1 ])

MWt1 = Parameter(name = 'MWt1',
                 nature = 'external',
                 type = 'real',
                 value = 100.,
                 texname = '\\text{MWt1}',
                 lhablock = 'GLD',
                 lhacode = [ 2 ])

MBt2 = Parameter(name = 'MBt2',
                 nature = 'external',
                 type = 'real',
                 value = 100.,
                 texname = '\\text{MBt2}',
                 lhablock = 'GLD',
                 lhacode = [ 3 ])

MWt2 = Parameter(name = 'MWt2',
                 nature = 'external',
                 type = 'real',
                 value = 100.,
                 texname = '\\text{MWt2}',
                 lhablock = 'GLD',
                 lhacode = [ 4 ])

MBt3 = Parameter(name = 'MBt3',
                 nature = 'external',
                 type = 'real',
                 value = 100.,
                 texname = '\\text{MBt3}',
                 lhablock = 'GLD',
                 lhacode = [ 5 ])

MWt3 = Parameter(name = 'MWt3',
                 nature = 'external',
                 type = 'real',
                 value = 100.,
                 texname = '\\text{MWt3}',
                 lhablock = 'GLD',
                 lhacode = [ 6 ])

M2Hut1 = Parameter(name = 'M2Hut1',
                   nature = 'external',
                   type = 'real',
                   value = 100.,
                   texname = '\\text{M2Hut1}',
                   lhablock = 'GLD',
                   lhacode = [ 7 ])

M2Hdt1 = Parameter(name = 'M2Hdt1',
                   nature = 'external',
                   type = 'real',
                   value = 100.,
                   texname = '\\text{M2Hdt1}',
                   lhablock = 'GLD',
                   lhacode = [ 8 ])

M2St1 = Parameter(name = 'M2St1',
                  nature = 'external',
                  type = 'real',
                  value = 100.,
                  texname = '\\text{M2St1}',
                  lhablock = 'GLD',
                  lhacode = [ 9 ])

M2Hut2 = Parameter(name = 'M2Hut2',
                   nature = 'external',
                   type = 'real',
                   value = 100.,
                   texname = '\\text{M2Hut2}',
                   lhablock = 'GLD',
                   lhacode = [ 10 ])

M2Hdt2 = Parameter(name = 'M2Hdt2',
                   nature = 'external',
                   type = 'real',
                   value = 100.,
                   texname = '\\text{M2Hdt2}',
                   lhablock = 'GLD',
                   lhacode = [ 11 ])

M2St2 = Parameter(name = 'M2St2',
                  nature = 'external',
                  type = 'real',
                  value = 100.,
                  texname = '\\text{M2St2}',
                  lhablock = 'GLD',
                  lhacode = [ 12 ])

M2Hut3 = Parameter(name = 'M2Hut3',
                   nature = 'external',
                   type = 'real',
                   value = 100.,
                   texname = '\\text{M2Hut3}',
                   lhablock = 'GLD',
                   lhacode = [ 13 ])

M2Hdt3 = Parameter(name = 'M2Hdt3',
                   nature = 'external',
                   type = 'real',
                   value = 100.,
                   texname = '\\text{M2Hdt3}',
                   lhablock = 'GLD',
                   lhacode = [ 14 ])

M2St3 = Parameter(name = 'M2St3',
                  nature = 'external',
                  type = 'real',
                  value = 100.,
                  texname = '\\text{M2St3}',
                  lhablock = 'GLD',
                  lhacode = [ 15 ])

Alt1 = Parameter(name = 'Alt1',
                 nature = 'external',
                 type = 'real',
                 value = 1.2,
                 texname = '\\text{Alt1}',
                 lhablock = 'GLD',
                 lhacode = [ 16 ])

Akt1 = Parameter(name = 'Akt1',
                 nature = 'external',
                 type = 'real',
                 value = 1.2,
                 texname = '\\text{Akt1}',
                 lhablock = 'GLD',
                 lhacode = [ 17 ])

Alt2 = Parameter(name = 'Alt2',
                 nature = 'external',
                 type = 'real',
                 value = 1.2,
                 texname = '\\text{Alt2}',
                 lhablock = 'GLD',
                 lhacode = [ 18 ])

Akt2 = Parameter(name = 'Akt2',
                 nature = 'external',
                 type = 'real',
                 value = 1.2,
                 texname = '\\text{Akt2}',
                 lhablock = 'GLD',
                 lhacode = [ 19 ])

Alt3 = Parameter(name = 'Alt3',
                 nature = 'external',
                 type = 'real',
                 value = 1.2,
                 texname = '\\text{Alt3}',
                 lhablock = 'GLD',
                 lhacode = [ 20 ])

Akt3 = Parameter(name = 'Akt3',
                 nature = 'external',
                 type = 'real',
                 value = 1.2,
                 texname = '\\text{Akt3}',
                 lhablock = 'GLD',
                 lhacode = [ 21 ])

fsca1 = Parameter(name = 'fsca1',
                  nature = 'external',
                  type = 'real',
                  value = 10000.,
                  texname = '\\text{fsca1}',
                  lhablock = 'GLD',
                  lhacode = [ 22 ])

fsca2 = Parameter(name = 'fsca2',
                  nature = 'external',
                  type = 'real',
                  value = 10000.,
                  texname = '\\text{fsca2}',
                  lhablock = 'GLD',
                  lhacode = [ 23 ])

fsca3 = Parameter(name = 'fsca3',
                  nature = 'external',
                  type = 'real',
                  value = 10000.,
                  texname = '\\text{fsca3}',
                  lhablock = 'GLD',
                  lhacode = [ 24 ])

tb = Parameter(name = 'tb',
               nature = 'external',
               type = 'real',
               value = 10.0004319,
               texname = 't_b',
               lhablock = 'HMIX',
               lhacode = [ 2 ])

MA2 = Parameter(name = 'MA2',
                nature = 'external',
                type = 'real',
                value = 1.04827778e6,
                texname = '\\text{Subsuperscript}[m,A,2]',
                lhablock = 'HMIX',
                lhacode = [ 4 ])

INN1x6 = Parameter(name = 'INN1x6',
                   nature = 'external',
                   type = 'real',
                   value = 1,
                   texname = '\\text{INN1x6}',
                   lhablock = 'IMNMNMIX',
                   lhacode = [ 1, 6 ])

INN1x7 = Parameter(name = 'INN1x7',
                   nature = 'external',
                   type = 'real',
                   value = 1,
                   texname = '\\text{INN1x7}',
                   lhablock = 'IMNMNMIX',
                   lhacode = [ 1, 7 ])

INN1x8 = Parameter(name = 'INN1x8',
                   nature = 'external',
                   type = 'real',
                   value = 1,
                   texname = '\\text{INN1x8}',
                   lhablock = 'IMNMNMIX',
                   lhacode = [ 1, 8 ])

INN2x6 = Parameter(name = 'INN2x6',
                   nature = 'external',
                   type = 'real',
                   value = 1,
                   texname = '\\text{INN2x6}',
                   lhablock = 'IMNMNMIX',
                   lhacode = [ 2, 6 ])

INN2x7 = Parameter(name = 'INN2x7',
                   nature = 'external',
                   type = 'real',
                   value = 1,
                   texname = '\\text{INN2x7}',
                   lhablock = 'IMNMNMIX',
                   lhacode = [ 2, 7 ])

INN2x8 = Parameter(name = 'INN2x8',
                   nature = 'external',
                   type = 'real',
                   value = 1,
                   texname = '\\text{INN2x8}',
                   lhablock = 'IMNMNMIX',
                   lhacode = [ 2, 8 ])

INN3x6 = Parameter(name = 'INN3x6',
                   nature = 'external',
                   type = 'real',
                   value = 1,
                   texname = '\\text{INN3x6}',
                   lhablock = 'IMNMNMIX',
                   lhacode = [ 3, 6 ])

INN3x7 = Parameter(name = 'INN3x7',
                   nature = 'external',
                   type = 'real',
                   value = 1,
                   texname = '\\text{INN3x7}',
                   lhablock = 'IMNMNMIX',
                   lhacode = [ 3, 7 ])

INN3x8 = Parameter(name = 'INN3x8',
                   nature = 'external',
                   type = 'real',
                   value = 1,
                   texname = '\\text{INN3x8}',
                   lhablock = 'IMNMNMIX',
                   lhacode = [ 3, 8 ])

INN4x6 = Parameter(name = 'INN4x6',
                   nature = 'external',
                   type = 'real',
                   value = 1,
                   texname = '\\text{INN4x6}',
                   lhablock = 'IMNMNMIX',
                   lhacode = [ 4, 6 ])

INN4x7 = Parameter(name = 'INN4x7',
                   nature = 'external',
                   type = 'real',
                   value = 1,
                   texname = '\\text{INN4x7}',
                   lhablock = 'IMNMNMIX',
                   lhacode = [ 4, 7 ])

INN4x8 = Parameter(name = 'INN4x8',
                   nature = 'external',
                   type = 'real',
                   value = 1,
                   texname = '\\text{INN4x8}',
                   lhablock = 'IMNMNMIX',
                   lhacode = [ 4, 8 ])

INN5x6 = Parameter(name = 'INN5x6',
                   nature = 'external',
                   type = 'real',
                   value = 1,
                   texname = '\\text{INN5x6}',
                   lhablock = 'IMNMNMIX',
                   lhacode = [ 5, 6 ])

INN5x7 = Parameter(name = 'INN5x7',
                   nature = 'external',
                   type = 'real',
                   value = 1,
                   texname = '\\text{INN5x7}',
                   lhablock = 'IMNMNMIX',
                   lhacode = [ 5, 7 ])

INN5x8 = Parameter(name = 'INN5x8',
                   nature = 'external',
                   type = 'real',
                   value = 1,
                   texname = '\\text{INN5x8}',
                   lhablock = 'IMNMNMIX',
                   lhacode = [ 5, 8 ])

INN6x1 = Parameter(name = 'INN6x1',
                   nature = 'external',
                   type = 'real',
                   value = 1,
                   texname = '\\text{INN6x1}',
                   lhablock = 'IMNMNMIX',
                   lhacode = [ 6, 1 ])

INN6x2 = Parameter(name = 'INN6x2',
                   nature = 'external',
                   type = 'real',
                   value = 1,
                   texname = '\\text{INN6x2}',
                   lhablock = 'IMNMNMIX',
                   lhacode = [ 6, 2 ])

INN6x3 = Parameter(name = 'INN6x3',
                   nature = 'external',
                   type = 'real',
                   value = 1,
                   texname = '\\text{INN6x3}',
                   lhablock = 'IMNMNMIX',
                   lhacode = [ 6, 3 ])

INN6x4 = Parameter(name = 'INN6x4',
                   nature = 'external',
                   type = 'real',
                   value = 1,
                   texname = '\\text{INN6x4}',
                   lhablock = 'IMNMNMIX',
                   lhacode = [ 6, 4 ])

INN6x5 = Parameter(name = 'INN6x5',
                   nature = 'external',
                   type = 'real',
                   value = 1,
                   texname = '\\text{INN6x5}',
                   lhablock = 'IMNMNMIX',
                   lhacode = [ 6, 5 ])

INN6x6 = Parameter(name = 'INN6x6',
                   nature = 'external',
                   type = 'real',
                   value = 1,
                   texname = '\\text{INN6x6}',
                   lhablock = 'IMNMNMIX',
                   lhacode = [ 6, 6 ])

INN6x7 = Parameter(name = 'INN6x7',
                   nature = 'external',
                   type = 'real',
                   value = 1,
                   texname = '\\text{INN6x7}',
                   lhablock = 'IMNMNMIX',
                   lhacode = [ 6, 7 ])

INN6x8 = Parameter(name = 'INN6x8',
                   nature = 'external',
                   type = 'real',
                   value = 1,
                   texname = '\\text{INN6x8}',
                   lhablock = 'IMNMNMIX',
                   lhacode = [ 6, 8 ])

INN7x1 = Parameter(name = 'INN7x1',
                   nature = 'external',
                   type = 'real',
                   value = 1,
                   texname = '\\text{INN7x1}',
                   lhablock = 'IMNMNMIX',
                   lhacode = [ 7, 1 ])

INN7x2 = Parameter(name = 'INN7x2',
                   nature = 'external',
                   type = 'real',
                   value = 1,
                   texname = '\\text{INN7x2}',
                   lhablock = 'IMNMNMIX',
                   lhacode = [ 7, 2 ])

INN7x3 = Parameter(name = 'INN7x3',
                   nature = 'external',
                   type = 'real',
                   value = 1,
                   texname = '\\text{INN7x3}',
                   lhablock = 'IMNMNMIX',
                   lhacode = [ 7, 3 ])

INN7x4 = Parameter(name = 'INN7x4',
                   nature = 'external',
                   type = 'real',
                   value = 1,
                   texname = '\\text{INN7x4}',
                   lhablock = 'IMNMNMIX',
                   lhacode = [ 7, 4 ])

INN7x5 = Parameter(name = 'INN7x5',
                   nature = 'external',
                   type = 'real',
                   value = 1,
                   texname = '\\text{INN7x5}',
                   lhablock = 'IMNMNMIX',
                   lhacode = [ 7, 5 ])

INN7x6 = Parameter(name = 'INN7x6',
                   nature = 'external',
                   type = 'real',
                   value = 1,
                   texname = '\\text{INN7x6}',
                   lhablock = 'IMNMNMIX',
                   lhacode = [ 7, 6 ])

INN7x7 = Parameter(name = 'INN7x7',
                   nature = 'external',
                   type = 'real',
                   value = 1,
                   texname = '\\text{INN7x7}',
                   lhablock = 'IMNMNMIX',
                   lhacode = [ 7, 7 ])

INN7x8 = Parameter(name = 'INN7x8',
                   nature = 'external',
                   type = 'real',
                   value = 1,
                   texname = '\\text{INN7x8}',
                   lhablock = 'IMNMNMIX',
                   lhacode = [ 7, 8 ])

INN8x1 = Parameter(name = 'INN8x1',
                   nature = 'external',
                   type = 'real',
                   value = 1,
                   texname = '\\text{INN8x1}',
                   lhablock = 'IMNMNMIX',
                   lhacode = [ 8, 1 ])

INN8x2 = Parameter(name = 'INN8x2',
                   nature = 'external',
                   type = 'real',
                   value = 1,
                   texname = '\\text{INN8x2}',
                   lhablock = 'IMNMNMIX',
                   lhacode = [ 8, 2 ])

INN8x3 = Parameter(name = 'INN8x3',
                   nature = 'external',
                   type = 'real',
                   value = 1,
                   texname = '\\text{INN8x3}',
                   lhablock = 'IMNMNMIX',
                   lhacode = [ 8, 3 ])

INN8x4 = Parameter(name = 'INN8x4',
                   nature = 'external',
                   type = 'real',
                   value = 1,
                   texname = '\\text{INN8x4}',
                   lhablock = 'IMNMNMIX',
                   lhacode = [ 8, 4 ])

INN8x5 = Parameter(name = 'INN8x5',
                   nature = 'external',
                   type = 'real',
                   value = 1,
                   texname = '\\text{INN8x5}',
                   lhablock = 'IMNMNMIX',
                   lhacode = [ 8, 5 ])

INN8x6 = Parameter(name = 'INN8x6',
                   nature = 'external',
                   type = 'real',
                   value = 1,
                   texname = '\\text{INN8x6}',
                   lhablock = 'IMNMNMIX',
                   lhacode = [ 8, 6 ])

INN8x7 = Parameter(name = 'INN8x7',
                   nature = 'external',
                   type = 'real',
                   value = 1,
                   texname = '\\text{INN8x7}',
                   lhablock = 'IMNMNMIX',
                   lhacode = [ 8, 7 ])

INN8x8 = Parameter(name = 'INN8x8',
                   nature = 'external',
                   type = 'real',
                   value = 1,
                   texname = '\\text{INN8x8}',
                   lhablock = 'IMNMNMIX',
                   lhacode = [ 8, 8 ])

RmD21x1 = Parameter(name = 'RmD21x1',
                    nature = 'external',
                    type = 'real',
                    value = 963545.439,
                    texname = '\\text{RmD21x1}',
                    lhablock = 'MSD2',
                    lhacode = [ 1, 1 ])

RmD22x2 = Parameter(name = 'RmD22x2',
                    nature = 'external',
                    type = 'real',
                    value = 963545.439,
                    texname = '\\text{RmD22x2}',
                    lhablock = 'MSD2',
                    lhacode = [ 2, 2 ])

RmD23x3 = Parameter(name = 'RmD23x3',
                    nature = 'external',
                    type = 'real',
                    value = 933451.834,
                    texname = '\\text{RmD23x3}',
                    lhablock = 'MSD2',
                    lhacode = [ 3, 3 ])

RmE21x1 = Parameter(name = 'RmE21x1',
                    nature = 'external',
                    type = 'real',
                    value = 66311.1508,
                    texname = '\\text{RmE21x1}',
                    lhablock = 'MSE2',
                    lhacode = [ 1, 1 ])

RmE22x2 = Parameter(name = 'RmE22x2',
                    nature = 'external',
                    type = 'real',
                    value = 66311.1508,
                    texname = '\\text{RmE22x2}',
                    lhablock = 'MSE2',
                    lhacode = [ 2, 2 ])

RmE23x3 = Parameter(name = 'RmE23x3',
                    nature = 'external',
                    type = 'real',
                    value = 48897.3735,
                    texname = '\\text{RmE23x3}',
                    lhablock = 'MSE2',
                    lhacode = [ 3, 3 ])

RmL21x1 = Parameter(name = 'RmL21x1',
                    nature = 'external',
                    type = 'real',
                    value = 142415.235,
                    texname = '\\text{RmL21x1}',
                    lhablock = 'MSL2',
                    lhacode = [ 1, 1 ])

RmL22x2 = Parameter(name = 'RmL22x2',
                    nature = 'external',
                    type = 'real',
                    value = 142415.235,
                    texname = '\\text{RmL22x2}',
                    lhablock = 'MSL2',
                    lhacode = [ 2, 2 ])

RmL23x3 = Parameter(name = 'RmL23x3',
                    nature = 'external',
                    type = 'real',
                    value = 133786.42,
                    texname = '\\text{RmL23x3}',
                    lhablock = 'MSL2',
                    lhacode = [ 3, 3 ])

RMx1 = Parameter(name = 'RMx1',
                 nature = 'external',
                 type = 'real',
                 value = 211.618677,
                 texname = '\\text{RMx1}',
                 lhablock = 'MSOFT',
                 lhacode = [ 1 ])

RMx2 = Parameter(name = 'RMx2',
                 nature = 'external',
                 type = 'real',
                 value = 391.864817,
                 texname = '\\text{RMx2}',
                 lhablock = 'MSOFT',
                 lhacode = [ 2 ])

RMx3 = Parameter(name = 'RMx3',
                 nature = 'external',
                 type = 'real',
                 value = 1112.25552,
                 texname = '\\text{RMx3}',
                 lhablock = 'MSOFT',
                 lhacode = [ 3 ])

mHd2 = Parameter(name = 'mHd2',
                 nature = 'external',
                 type = 'real',
                 value = 89988.5262,
                 texname = '\\text{Subsuperscript}\\left[m,H_d,2\\right]',
                 lhablock = 'MSOFT',
                 lhacode = [ 21 ])

mHu2 = Parameter(name = 'mHu2',
                 nature = 'external',
                 type = 'real',
                 value = -908071.077,
                 texname = '\\text{Subsuperscript}\\left[m,H_u,2\\right]',
                 lhablock = 'MSOFT',
                 lhacode = [ 22 ])

RmQ21x1 = Parameter(name = 'RmQ21x1',
                    nature = 'external',
                    type = 'real',
                    value = 1.04878444e6,
                    texname = '\\text{RmQ21x1}',
                    lhablock = 'MSQ2',
                    lhacode = [ 1, 1 ])

RmQ22x2 = Parameter(name = 'RmQ22x2',
                    nature = 'external',
                    type = 'real',
                    value = 1.04878444e6,
                    texname = '\\text{RmQ22x2}',
                    lhablock = 'MSQ2',
                    lhacode = [ 2, 2 ])

RmQ23x3 = Parameter(name = 'RmQ23x3',
                    nature = 'external',
                    type = 'real',
                    value = 715579.339,
                    texname = '\\text{RmQ23x3}',
                    lhablock = 'MSQ2',
                    lhacode = [ 3, 3 ])

RmU21x1 = Parameter(name = 'RmU21x1',
                    nature = 'external',
                    type = 'real',
                    value = 972428.308,
                    texname = '\\text{RmU21x1}',
                    lhablock = 'MSU2',
                    lhacode = [ 1, 1 ])

RmU22x2 = Parameter(name = 'RmU22x2',
                    nature = 'external',
                    type = 'real',
                    value = 972428.308,
                    texname = '\\text{RmU22x2}',
                    lhablock = 'MSU2',
                    lhacode = [ 2, 2 ])

RmU23x3 = Parameter(name = 'RmU23x3',
                    nature = 'external',
                    type = 'real',
                    value = 319484.921,
                    texname = '\\text{RmU23x3}',
                    lhablock = 'MSU2',
                    lhacode = [ 3, 3 ])

UP1x1 = Parameter(name = 'UP1x1',
                  nature = 'external',
                  type = 'real',
                  value = 0.0501258919,
                  texname = '\\text{UP1x1}',
                  lhablock = 'NMAMIX',
                  lhacode = [ 1, 1 ])

UP1x2 = Parameter(name = 'UP1x2',
                  nature = 'external',
                  type = 'real',
                  value = 0.00501258919,
                  texname = '\\text{UP1x2}',
                  lhablock = 'NMAMIX',
                  lhacode = [ 1, 2 ])

UP1x3 = Parameter(name = 'UP1x3',
                  nature = 'external',
                  type = 'real',
                  value = 0.998730328,
                  texname = '\\text{UP1x3}',
                  lhablock = 'NMAMIX',
                  lhacode = [ 1, 3 ])

UP2x1 = Parameter(name = 'UP2x1',
                  nature = 'external',
                  type = 'real',
                  value = 0.99377382,
                  texname = '\\text{UP2x1}',
                  lhablock = 'NMAMIX',
                  lhacode = [ 2, 1 ])

UP2x2 = Parameter(name = 'UP2x2',
                  nature = 'external',
                  type = 'real',
                  value = 0.099377382,
                  texname = '\\text{UP2x2}',
                  lhablock = 'NMAMIX',
                  lhacode = [ 2, 2 ])

UP2x3 = Parameter(name = 'UP2x3',
                  nature = 'external',
                  type = 'real',
                  value = -0.0503758979,
                  texname = '\\text{UP2x3}',
                  lhablock = 'NMAMIX',
                  lhacode = [ 2, 3 ])

US1x1 = Parameter(name = 'US1x1',
                  nature = 'external',
                  type = 'real',
                  value = 0.101230631,
                  texname = '\\text{US1x1}',
                  lhablock = 'NMHMIX',
                  lhacode = [ 1, 1 ])

US1x2 = Parameter(name = 'US1x2',
                  nature = 'external',
                  type = 'real',
                  value = 0.994841811,
                  texname = '\\text{US1x2}',
                  lhablock = 'NMHMIX',
                  lhacode = [ 1, 2 ])

US1x3 = Parameter(name = 'US1x3',
                  nature = 'external',
                  type = 'real',
                  value = -0.00649079704,
                  texname = '\\text{US1x3}',
                  lhablock = 'NMHMIX',
                  lhacode = [ 1, 3 ])

US2x1 = Parameter(name = 'US2x1',
                  nature = 'external',
                  type = 'real',
                  value = 0.994850372,
                  texname = '\\text{US2x1}',
                  lhablock = 'NMHMIX',
                  lhacode = [ 2, 1 ])

US2x2 = Parameter(name = 'US2x2',
                  nature = 'external',
                  type = 'real',
                  value = -0.10119434,
                  texname = '\\text{US2x2}',
                  lhablock = 'NMHMIX',
                  lhacode = [ 2, 2 ])

US2x3 = Parameter(name = 'US2x3',
                  nature = 'external',
                  type = 'real',
                  value = 0.00569588834,
                  texname = '\\text{US2x3}',
                  lhablock = 'NMHMIX',
                  lhacode = [ 2, 3 ])

US3x1 = Parameter(name = 'US3x1',
                  nature = 'external',
                  type = 'real',
                  value = -0.00500967595,
                  texname = '\\text{US3x1}',
                  lhablock = 'NMHMIX',
                  lhacode = [ 3, 1 ])

US3x2 = Parameter(name = 'US3x2',
                  nature = 'external',
                  type = 'real',
                  value = 0.00703397022,
                  texname = '\\text{US3x2}',
                  lhablock = 'NMHMIX',
                  lhacode = [ 3, 2 ])

US3x3 = Parameter(name = 'US3x3',
                  nature = 'external',
                  type = 'real',
                  value = 0.999962713,
                  texname = '\\text{US3x3}',
                  lhablock = 'NMHMIX',
                  lhacode = [ 3, 3 ])

RNN1x1 = Parameter(name = 'RNN1x1',
                   nature = 'external',
                   type = 'real',
                   value = 0.00110656,
                   texname = '\\text{RNN1x1}',
                   lhablock = 'NMNMIX',
                   lhacode = [ 1, 1 ])

RNN1x2 = Parameter(name = 'RNN1x2',
                   nature = 'external',
                   type = 'real',
                   value = -0.00191199,
                   texname = '\\text{RNN1x2}',
                   lhablock = 'NMNMIX',
                   lhacode = [ 1, 2 ])

RNN1x3 = Parameter(name = 'RNN1x3',
                   nature = 'external',
                   type = 'real',
                   value = 0.0174733,
                   texname = '\\text{RNN1x3}',
                   lhablock = 'NMNMIX',
                   lhacode = [ 1, 3 ])

RNN1x4 = Parameter(name = 'RNN1x4',
                   nature = 'external',
                   type = 'real',
                   value = 0.00902699,
                   texname = '\\text{RNN1x4}',
                   lhablock = 'NMNMIX',
                   lhacode = [ 1, 4 ])

RNN1x5 = Parameter(name = 'RNN1x5',
                   nature = 'external',
                   type = 'real',
                   value = 0.0132235,
                   texname = '\\text{RNN1x5}',
                   lhablock = 'NMNMIX',
                   lhacode = [ 1, 5 ])

RNN1x6 = Parameter(name = 'RNN1x6',
                   nature = 'external',
                   type = 'real',
                   value = -0.99637,
                   texname = '\\text{RNN1x6}',
                   lhablock = 'NMNMIX',
                   lhacode = [ 1, 6 ])

RNN1x7 = Parameter(name = 'RNN1x7',
                   nature = 'external',
                   type = 'real',
                   value = 0.0577967,
                   texname = '\\text{RNN1x7}',
                   lhablock = 'NMNMIX',
                   lhacode = [ 1, 7 ])

RNN1x8 = Parameter(name = 'RNN1x8',
                   nature = 'external',
                   type = 'real',
                   value = 0.0577967,
                   texname = '\\text{RNN1x8}',
                   lhablock = 'NMNMIX',
                   lhacode = [ 1, 8 ])

RNN2x1 = Parameter(name = 'RNN2x1',
                   nature = 'external',
                   type = 'real',
                   value = 0.0001,
                   texname = '\\text{RNN2x1}',
                   lhablock = 'NMNMIX',
                   lhacode = [ 2, 1 ])

RNN2x2 = Parameter(name = 'RNN2x2',
                   nature = 'external',
                   type = 'real',
                   value = 0.0002,
                   texname = '\\text{RNN2x2}',
                   lhablock = 'NMNMIX',
                   lhacode = [ 2, 2 ])

RNN2x3 = Parameter(name = 'RNN2x3',
                   nature = 'external',
                   type = 'real',
                   value = 0.0003,
                   texname = '\\text{RNN2x3}',
                   lhablock = 'NMNMIX',
                   lhacode = [ 2, 3 ])

RNN2x4 = Parameter(name = 'RNN2x4',
                   nature = 'external',
                   type = 'real',
                   value = 0.00004,
                   texname = '\\text{RNN2x4}',
                   lhablock = 'NMNMIX',
                   lhacode = [ 2, 4 ])

RNN2x5 = Parameter(name = 'RNN2x5',
                   nature = 'external',
                   type = 'real',
                   value = 0.0005,
                   texname = '\\text{RNN2x5}',
                   lhablock = 'NMNMIX',
                   lhacode = [ 2, 5 ])

RNN2x6 = Parameter(name = 'RNN2x6',
                   nature = 'external',
                   type = 'real',
                   value = 0.0006,
                   texname = '\\text{RNN2x6}',
                   lhablock = 'NMNMIX',
                   lhacode = [ 2, 6 ])

RNN2x7 = Parameter(name = 'RNN2x7',
                   nature = 'external',
                   type = 'real',
                   value = -0.707107,
                   texname = '\\text{RNN2x7}',
                   lhablock = 'NMNMIX',
                   lhacode = [ 2, 7 ])

RNN2x8 = Parameter(name = 'RNN2x8',
                   nature = 'external',
                   type = 'real',
                   value = 0.707107,
                   texname = '\\text{RNN2x8}',
                   lhablock = 'NMNMIX',
                   lhacode = [ 2, 8 ])

RNN3x1 = Parameter(name = 'RNN3x1',
                   nature = 'external',
                   type = 'real',
                   value = 0.267781,
                   texname = '\\text{RNN3x1}',
                   lhablock = 'NMNMIX',
                   lhacode = [ 3, 1 ])

RNN3x2 = Parameter(name = 'RNN3x2',
                   nature = 'external',
                   type = 'real',
                   value = -0.297221,
                   texname = '\\text{RNN3x2}',
                   lhablock = 'NMNMIX',
                   lhacode = [ 3, 2 ])

RNN3x3 = Parameter(name = 'RNN3x3',
                   nature = 'external',
                   type = 'real',
                   value = 0.579991,
                   texname = '\\text{RNN3x3}',
                   lhablock = 'NMNMIX',
                   lhacode = [ 3, 3 ])

RNN3x4 = Parameter(name = 'RNN3x4',
                   nature = 'external',
                   type = 'real',
                   value = -0.682713,
                   texname = '\\text{RNN3x4}',
                   lhablock = 'NMNMIX',
                   lhacode = [ 3, 4 ])

RNN3x5 = Parameter(name = 'RNN3x5',
                   nature = 'external',
                   type = 'real',
                   value = 0.184419,
                   texname = '\\text{RNN3x5}',
                   lhablock = 'NMNMIX',
                   lhacode = [ 3, 5 ])

RNN3x6 = Parameter(name = 'RNN3x6',
                   nature = 'external',
                   type = 'real',
                   value = 0.0120223,
                   texname = '\\text{RNN3x6}',
                   lhablock = 'NMNMIX',
                   lhacode = [ 3, 6 ])

RNN3x7 = Parameter(name = 'RNN3x7',
                   nature = 'external',
                   type = 'real',
                   value = 0.0406937,
                   texname = '\\text{RNN3x7}',
                   lhablock = 'NMNMIX',
                   lhacode = [ 3, 7 ])

RNN3x8 = Parameter(name = 'RNN3x8',
                   nature = 'external',
                   type = 'real',
                   value = 0.0406937,
                   texname = '\\text{RNN3x8}',
                   lhablock = 'NMNMIX',
                   lhacode = [ 3, 8 ])

RNN4x1 = Parameter(name = 'RNN4x1',
                   nature = 'external',
                   type = 'real',
                   value = 0.95648,
                   texname = '\\text{RNN4x1}',
                   lhablock = 'NMNMIX',
                   lhacode = [ 4, 1 ])

RNN4x2 = Parameter(name = 'RNN4x2',
                   nature = 'external',
                   type = 'real',
                   value = 0.194791,
                   texname = '\\text{RNN4x2}',
                   lhablock = 'NMNMIX',
                   lhacode = [ 4, 2 ])

RNN4x3 = Parameter(name = 'RNN4x3',
                   nature = 'external',
                   type = 'real',
                   value = -0.121854,
                   texname = '\\text{RNN4x3}',
                   lhablock = 'NMNMIX',
                   lhacode = [ 4, 3 ])

RNN4x4 = Parameter(name = 'RNN4x4',
                   nature = 'external',
                   type = 'real',
                   value = 0.173898,
                   texname = '\\text{RNN4x4}',
                   lhablock = 'NMNMIX',
                   lhacode = [ 4, 4 ])

RNN4x5 = Parameter(name = 'RNN4x5',
                   nature = 'external',
                   type = 'real',
                   value = -0.0451797,
                   texname = '\\text{RNN4x5}',
                   lhablock = 'NMNMIX',
                   lhacode = [ 4, 5 ])

RNN4x6 = Parameter(name = 'RNN4x6',
                   nature = 'external',
                   type = 'real',
                   value = -0.00116771,
                   texname = '\\text{RNN4x6}',
                   lhablock = 'NMNMIX',
                   lhacode = [ 4, 6 ])

RNN4x7 = Parameter(name = 'RNN4x7',
                   nature = 'external',
                   type = 'real',
                   value = -0.0059915,
                   texname = '\\text{RNN4x7}',
                   lhablock = 'NMNMIX',
                   lhacode = [ 4, 7 ])

RNN4x8 = Parameter(name = 'RNN4x8',
                   nature = 'external',
                   type = 'real',
                   value = -0.0059915,
                   texname = '\\text{RNN4x8}',
                   lhablock = 'NMNMIX',
                   lhacode = [ 4, 8 ])

RNN5x1 = Parameter(name = 'RNN5x1',
                   nature = 'external',
                   type = 'real',
                   value = -0.111372,
                   texname = '\\text{RNN5x1}',
                   lhablock = 'NMNMIX',
                   lhacode = [ 5, 1 ])

RNN5x2 = Parameter(name = 'RNN5x2',
                   nature = 'external',
                   type = 'real',
                   value = 0.928754,
                   texname = '\\text{RNN5x2}',
                   lhablock = 'NMNMIX',
                   lhacode = [ 5, 2 ])

RNN5x3 = Parameter(name = 'RNN5x3',
                   nature = 'external',
                   type = 'real',
                   value = 0.143103,
                   texname = '\\text{RNN5x3}',
                   lhablock = 'NMNMIX',
                   lhacode = [ 5, 3 ])

RNN5x4 = Parameter(name = 'RNN5x4',
                   nature = 'external',
                   type = 'real',
                   value = -0.316464,
                   texname = '\\text{RNN5x4}',
                   lhablock = 'NMNMIX',
                   lhacode = [ 5, 4 ])

RNN5x5 = Parameter(name = 'RNN5x5',
                   nature = 'external',
                   type = 'real',
                   value = 0.0505438,
                   texname = '\\text{RNN5x5}',
                   lhablock = 'NMNMIX',
                   lhacode = [ 5, 5 ])

RNN5x6 = Parameter(name = 'RNN5x6',
                   nature = 'external',
                   type = 'real',
                   value = -0.00507715,
                   texname = '\\text{RNN5x6}',
                   lhablock = 'NMNMIX',
                   lhacode = [ 5, 6 ])

RNN5x7 = Parameter(name = 'RNN5x7',
                   nature = 'external',
                   type = 'real',
                   value = -0.030035,
                   texname = '\\text{RNN5x7}',
                   lhablock = 'NMNMIX',
                   lhacode = [ 5, 7 ])

RNN5x8 = Parameter(name = 'RNN5x8',
                   nature = 'external',
                   type = 'real',
                   value = -0.030035,
                   texname = '\\text{RNN5x8}',
                   lhablock = 'NMNMIX',
                   lhacode = [ 5, 8 ])

RNN6x1 = Parameter(name = 'RNN6x1',
                   nature = 'external',
                   type = 'real',
                   value = -0.00252206,
                   texname = '\\text{RNN6x1}',
                   lhablock = 'NMNMIX',
                   lhacode = [ 6, 1 ])

RNN6x2 = Parameter(name = 'RNN6x2',
                   nature = 'external',
                   type = 'real',
                   value = -0.0141062,
                   texname = '\\text{RNN6x2}',
                   lhablock = 'NMNMIX',
                   lhacode = [ 6, 2 ])

RNN6x3 = Parameter(name = 'RNN6x3',
                   nature = 'external',
                   type = 'real',
                   value = 0.299115,
                   texname = '\\text{RNN6x3}',
                   lhablock = 'NMNMIX',
                   lhacode = [ 6, 3 ])

RNN6x4 = Parameter(name = 'RNN6x4',
                   nature = 'external',
                   type = 'real',
                   value = -0.0111036,
                   texname = '\\text{RNN6x4}',
                   lhablock = 'NMNMIX',
                   lhacode = [ 6, 4 ])

RNN6x5 = Parameter(name = 'RNN6x5',
                   nature = 'external',
                   type = 'real',
                   value = -0.908702,
                   texname = '\\text{RNN6x5}',
                   lhablock = 'NMNMIX',
                   lhacode = [ 6, 5 ])

RNN6x6 = Parameter(name = 'RNN6x6',
                   nature = 'external',
                   type = 'real',
                   value = -0.0305996,
                   texname = '\\text{RNN6x6}',
                   lhablock = 'NMNMIX',
                   lhacode = [ 6, 6 ])

RNN6x7 = Parameter(name = 'RNN6x7',
                   nature = 'external',
                   type = 'real',
                   value = -0.204361,
                   texname = '\\text{RNN6x7}',
                   lhablock = 'NMNMIX',
                   lhacode = [ 6, 7 ])

RNN6x8 = Parameter(name = 'RNN6x8',
                   nature = 'external',
                   type = 'real',
                   value = -0.204361,
                   texname = '\\text{RNN6x8}',
                   lhablock = 'NMNMIX',
                   lhacode = [ 6, 8 ])

RNN7x1 = Parameter(name = 'RNN7x1',
                   nature = 'external',
                   type = 'real',
                   value = 0.0295038,
                   texname = '\\text{RNN7x1}',
                   lhablock = 'NMNMIX',
                   lhacode = [ 7, 1 ])

RNN7x2 = Parameter(name = 'RNN7x2',
                   nature = 'external',
                   type = 'real',
                   value = -0.101004,
                   texname = '\\text{RNN7x2}',
                   lhablock = 'NMNMIX',
                   lhacode = [ 7, 2 ])

RNN7x3 = Parameter(name = 'RNN7x3',
                   nature = 'external',
                   type = 'real',
                   value = -0.533301,
                   texname = '\\text{RNN7x3}',
                   lhablock = 'NMNMIX',
                   lhacode = [ 7, 3 ])

RNN7x4 = Parameter(name = 'RNN7x4',
                   nature = 'external',
                   type = 'real',
                   value = -0.442527,
                   texname = '\\text{RNN7x4}',
                   lhablock = 'NMNMIX',
                   lhacode = [ 7, 4 ])

RNN7x5 = Parameter(name = 'RNN7x5',
                   nature = 'external',
                   type = 'real',
                   value = 0.0586763,
                   texname = '\\text{RNN7x5}',
                   lhablock = 'NMNMIX',
                   lhacode = [ 7, 5 ])

RNN7x6 = Parameter(name = 'RNN7x6',
                   nature = 'external',
                   type = 'real',
                   value = -0.0703805,
                   texname = '\\text{RNN7x6}',
                   lhablock = 'NMNMIX',
                   lhacode = [ 7, 6 ])

RNN7x7 = Parameter(name = 'RNN7x7',
                   nature = 'external',
                   type = 'real',
                   value = -0.500145,
                   texname = '\\text{RNN7x7}',
                   lhablock = 'NMNMIX',
                   lhacode = [ 7, 7 ])

RNN7x8 = Parameter(name = 'RNN7x8',
                   nature = 'external',
                   type = 'real',
                   value = -0.500145,
                   texname = '\\text{RNN7x8}',
                   lhablock = 'NMNMIX',
                   lhacode = [ 7, 8 ])

RNN8x1 = Parameter(name = 'RNN8x1',
                   nature = 'external',
                   type = 'real',
                   value = -0.0126008,
                   texname = '\\text{RNN8x1}',
                   lhablock = 'NMNMIX',
                   lhacode = [ 8, 1 ])

RNN8x2 = Parameter(name = 'RNN8x2',
                   nature = 'external',
                   type = 'real',
                   value = 0.0269821,
                   texname = '\\text{RNN8x2}',
                   lhablock = 'NMNMIX',
                   lhacode = [ 8, 2 ])

RNN8x3 = Parameter(name = 'RNN8x3',
                   nature = 'external',
                   type = 'real',
                   value = 0.504082,
                   texname = '\\text{RNN8x3}',
                   lhablock = 'NMNMIX',
                   lhacode = [ 8, 3 ])

RNN8x4 = Parameter(name = 'RNN8x4',
                   nature = 'external',
                   type = 'real',
                   value = 0.455497,
                   texname = '\\text{RNN8x4}',
                   lhablock = 'NMNMIX',
                   lhacode = [ 8, 4 ])

RNN8x5 = Parameter(name = 'RNN8x5',
                   nature = 'external',
                   type = 'real',
                   value = 0.363369,
                   texname = '\\text{RNN8x5}',
                   lhablock = 'NMNMIX',
                   lhacode = [ 8, 5 ])

RNN8x6 = Parameter(name = 'RNN8x6',
                   nature = 'external',
                   type = 'real',
                   value = -0.0344387,
                   texname = '\\text{RNN8x6}',
                   lhablock = 'NMNMIX',
                   lhacode = [ 8, 6 ])

RNN8x7 = Parameter(name = 'RNN8x7',
                   nature = 'external',
                   type = 'real',
                   value = -0.449619,
                   texname = '\\text{RNN8x7}',
                   lhablock = 'NMNMIX',
                   lhacode = [ 8, 7 ])

RNN8x8 = Parameter(name = 'RNN8x8',
                   nature = 'external',
                   type = 'real',
                   value = -0.449619,
                   texname = '\\text{RNN8x8}',
                   lhablock = 'NMNMIX',
                   lhacode = [ 8, 8 ])

NMl = Parameter(name = 'NMl',
                nature = 'external',
                type = 'real',
                value = 0.1,
                texname = '\\lambda',
                lhablock = 'NMSSMRUN',
                lhacode = [ 1 ])

NMk = Parameter(name = 'NMk',
                nature = 'external',
                type = 'real',
                value = 0.108910706,
                texname = '\\kappa',
                lhablock = 'NMSSMRUN',
                lhacode = [ 2 ])

NMAl = Parameter(name = 'NMAl',
                 nature = 'external',
                 type = 'real',
                 value = -963.907478,
                 texname = 'A_{\\lambda }',
                 lhablock = 'NMSSMRUN',
                 lhacode = [ 3 ])

NMAk = Parameter(name = 'NMAk',
                 nature = 'external',
                 type = 'real',
                 value = -1.58927119,
                 texname = 'A_{\\kappa }',
                 lhablock = 'NMSSMRUN',
                 lhacode = [ 4 ])

mueff = Parameter(name = 'mueff',
                  nature = 'external',
                  type = 'real',
                  value = 970.86792,
                  texname = '\\mu _{\\text{eff}}',
                  lhablock = 'NMSSMRUN',
                  lhacode = [ 5 ])

MS2 = Parameter(name = 'MS2',
                nature = 'external',
                type = 'real',
                value = -2.23503099e6,
                texname = '\\text{Subsuperscript}[M,S,2]',
                lhablock = 'NMSSMRUN',
                lhacode = [ 10 ])

bb = Parameter(name = 'bb',
               nature = 'external',
               type = 'real',
               value = 1,
               texname = 'b',
               lhablock = 'NMSSMRUN',
               lhacode = [ 12 ])

RRl1x3 = Parameter(name = 'RRl1x3',
                   nature = 'external',
                   type = 'real',
                   value = 0.220980319,
                   texname = '\\text{RRl1x3}',
                   lhablock = 'SELMIX',
                   lhacode = [ 1, 3 ])

RRl1x6 = Parameter(name = 'RRl1x6',
                   nature = 'external',
                   type = 'real',
                   value = 0.975278267,
                   texname = '\\text{RRl1x6}',
                   lhablock = 'SELMIX',
                   lhacode = [ 1, 6 ])

RRl2x4 = Parameter(name = 'RRl2x4',
                   nature = 'external',
                   type = 'real',
                   value = 1.,
                   texname = '\\text{RRl2x4}',
                   lhablock = 'SELMIX',
                   lhacode = [ 2, 4 ])

RRl3x5 = Parameter(name = 'RRl3x5',
                   nature = 'external',
                   type = 'real',
                   value = 1.,
                   texname = '\\text{RRl3x5}',
                   lhablock = 'SELMIX',
                   lhacode = [ 3, 5 ])

RRl4x3 = Parameter(name = 'RRl4x3',
                   nature = 'external',
                   type = 'real',
                   value = -0.975278267,
                   texname = '\\text{RRl4x3}',
                   lhablock = 'SELMIX',
                   lhacode = [ 4, 3 ])

RRl4x6 = Parameter(name = 'RRl4x6',
                   nature = 'external',
                   type = 'real',
                   value = 0.220980319,
                   texname = '\\text{RRl4x6}',
                   lhablock = 'SELMIX',
                   lhacode = [ 4, 6 ])

RRl5x1 = Parameter(name = 'RRl5x1',
                   nature = 'external',
                   type = 'real',
                   value = 1.,
                   texname = '\\text{RRl5x1}',
                   lhablock = 'SELMIX',
                   lhacode = [ 5, 1 ])

RRl6x2 = Parameter(name = 'RRl6x2',
                   nature = 'external',
                   type = 'real',
                   value = 1.,
                   texname = '\\text{RRl6x2}',
                   lhablock = 'SELMIX',
                   lhacode = [ 6, 2 ])

aEWM1 = Parameter(name = 'aEWM1',
                  nature = 'external',
                  type = 'real',
                  value = 127.92,
                  texname = '\\text{Subsuperscript}[\\alpha ,w,-1]',
                  lhablock = 'SMINPUTS',
                  lhacode = [ 1 ])

aS = Parameter(name = 'aS',
               nature = 'external',
               type = 'real',
               value = 0.1172,
               texname = '\\alpha _s',
               lhablock = 'SMINPUTS',
               lhacode = [ 3 ])

RRn1x3 = Parameter(name = 'RRn1x3',
                   nature = 'external',
                   type = 'real',
                   value = 1.,
                   texname = '\\text{RRn1x3}',
                   lhablock = 'SNUMIX',
                   lhacode = [ 1, 3 ])

RRn2x2 = Parameter(name = 'RRn2x2',
                   nature = 'external',
                   type = 'real',
                   value = 1.,
                   texname = '\\text{RRn2x2}',
                   lhablock = 'SNUMIX',
                   lhacode = [ 2, 2 ])

RRn3x1 = Parameter(name = 'RRn3x1',
                   nature = 'external',
                   type = 'real',
                   value = 1.,
                   texname = '\\text{RRn3x1}',
                   lhablock = 'SNUMIX',
                   lhacode = [ 3, 1 ])

Rtd3x3 = Parameter(name = 'Rtd3x3',
                   nature = 'external',
                   type = 'real',
                   value = -342.310014,
                   texname = '\\text{Rtd3x3}',
                   lhablock = 'TD',
                   lhacode = [ 3, 3 ])

Rte3x3 = Parameter(name = 'Rte3x3',
                   nature = 'external',
                   type = 'real',
                   value = -177.121653,
                   texname = '\\text{Rte3x3}',
                   lhablock = 'TE',
                   lhacode = [ 3, 3 ])

Rtu3x3 = Parameter(name = 'Rtu3x3',
                   nature = 'external',
                   type = 'real',
                   value = -1213.64864,
                   texname = '\\text{Rtu3x3}',
                   lhablock = 'TU',
                   lhacode = [ 3, 3 ])

RUU1x1 = Parameter(name = 'RUU1x1',
                   nature = 'external',
                   type = 'real',
                   value = 0.989230572,
                   texname = '\\text{RUU1x1}',
                   lhablock = 'UMIX',
                   lhacode = [ 1, 1 ])

RUU1x2 = Parameter(name = 'RUU1x2',
                   nature = 'external',
                   type = 'real',
                   value = -0.146365554,
                   texname = '\\text{RUU1x2}',
                   lhablock = 'UMIX',
                   lhacode = [ 1, 2 ])

RUU2x1 = Parameter(name = 'RUU2x1',
                   nature = 'external',
                   type = 'real',
                   value = 0.146365554,
                   texname = '\\text{RUU2x1}',
                   lhablock = 'UMIX',
                   lhacode = [ 2, 1 ])

RUU2x2 = Parameter(name = 'RUU2x2',
                   nature = 'external',
                   type = 'real',
                   value = 0.989230572,
                   texname = '\\text{RUU2x2}',
                   lhablock = 'UMIX',
                   lhacode = [ 2, 2 ])

RMNS1x1 = Parameter(name = 'RMNS1x1',
                    nature = 'external',
                    type = 'real',
                    value = 1.,
                    texname = '\\text{RMNS1x1}',
                    lhablock = 'UPMNS',
                    lhacode = [ 1, 1 ])

RMNS2x2 = Parameter(name = 'RMNS2x2',
                    nature = 'external',
                    type = 'real',
                    value = 1.,
                    texname = '\\text{RMNS2x2}',
                    lhablock = 'UPMNS',
                    lhacode = [ 2, 2 ])

RMNS3x3 = Parameter(name = 'RMNS3x3',
                    nature = 'external',
                    type = 'real',
                    value = 1.,
                    texname = '\\text{RMNS3x3}',
                    lhablock = 'UPMNS',
                    lhacode = [ 3, 3 ])

RRu1x3 = Parameter(name = 'RRu1x3',
                   nature = 'external',
                   type = 'real',
                   value = 0.405775656,
                   texname = '\\text{RRu1x3}',
                   lhablock = 'USQMIX',
                   lhacode = [ 1, 3 ])

RRu1x6 = Parameter(name = 'RRu1x6',
                   nature = 'external',
                   type = 'real',
                   value = 0.913972711,
                   texname = '\\text{RRu1x6}',
                   lhablock = 'USQMIX',
                   lhacode = [ 1, 6 ])

RRu2x3 = Parameter(name = 'RRu2x3',
                   nature = 'external',
                   type = 'real',
                   value = -0.913972711,
                   texname = '\\text{RRu2x3}',
                   lhablock = 'USQMIX',
                   lhacode = [ 2, 3 ])

RRu2x6 = Parameter(name = 'RRu2x6',
                   nature = 'external',
                   type = 'real',
                   value = 0.405775656,
                   texname = '\\text{RRu2x6}',
                   lhablock = 'USQMIX',
                   lhacode = [ 2, 6 ])

RRu3x5 = Parameter(name = 'RRu3x5',
                   nature = 'external',
                   type = 'real',
                   value = 1.,
                   texname = '\\text{RRu3x5}',
                   lhablock = 'USQMIX',
                   lhacode = [ 3, 5 ])

RRu4x4 = Parameter(name = 'RRu4x4',
                   nature = 'external',
                   type = 'real',
                   value = 1.,
                   texname = '\\text{RRu4x4}',
                   lhablock = 'USQMIX',
                   lhacode = [ 4, 4 ])

RRu5x1 = Parameter(name = 'RRu5x1',
                   nature = 'external',
                   type = 'real',
                   value = 1.,
                   texname = '\\text{RRu5x1}',
                   lhablock = 'USQMIX',
                   lhacode = [ 5, 1 ])

RRu6x2 = Parameter(name = 'RRu6x2',
                   nature = 'external',
                   type = 'real',
                   value = 1.,
                   texname = '\\text{RRu6x2}',
                   lhablock = 'USQMIX',
                   lhacode = [ 6, 2 ])

RCKM1x1 = Parameter(name = 'RCKM1x1',
                    nature = 'external',
                    type = 'real',
                    value = 1.,
                    texname = '\\text{RCKM1x1}',
                    lhablock = 'VCKM',
                    lhacode = [ 1, 1 ])

RCKM2x2 = Parameter(name = 'RCKM2x2',
                    nature = 'external',
                    type = 'real',
                    value = 1.,
                    texname = '\\text{RCKM2x2}',
                    lhablock = 'VCKM',
                    lhacode = [ 2, 2 ])

RCKM3x3 = Parameter(name = 'RCKM3x3',
                    nature = 'external',
                    type = 'real',
                    value = 1.,
                    texname = '\\text{RCKM3x3}',
                    lhablock = 'VCKM',
                    lhacode = [ 3, 3 ])

RVV1x1 = Parameter(name = 'RVV1x1',
                   nature = 'external',
                   type = 'real',
                   value = 0.997382381,
                   texname = '\\text{RVV1x1}',
                   lhablock = 'VMIX',
                   lhacode = [ 1, 1 ])

RVV1x2 = Parameter(name = 'RVV1x2',
                   nature = 'external',
                   type = 'real',
                   value = -0.0723075752,
                   texname = '\\text{RVV1x2}',
                   lhablock = 'VMIX',
                   lhacode = [ 1, 2 ])

RVV2x1 = Parameter(name = 'RVV2x1',
                   nature = 'external',
                   type = 'real',
                   value = 0.0723075752,
                   texname = '\\text{RVV2x1}',
                   lhablock = 'VMIX',
                   lhacode = [ 2, 1 ])

RVV2x2 = Parameter(name = 'RVV2x2',
                   nature = 'external',
                   type = 'real',
                   value = 0.997382381,
                   texname = '\\text{RVV2x2}',
                   lhablock = 'VMIX',
                   lhacode = [ 2, 2 ])

Ryd3x3 = Parameter(name = 'Ryd3x3',
                   nature = 'external',
                   type = 'real',
                   value = 0.131064265,
                   texname = '\\text{Ryd3x3}',
                   lhablock = 'YD',
                   lhacode = [ 3, 3 ])

Rye3x3 = Parameter(name = 'Rye3x3',
                   nature = 'external',
                   type = 'real',
                   value = 0.100464794,
                   texname = '\\text{Rye3x3}',
                   lhablock = 'YE',
                   lhacode = [ 3, 3 ])

Ryu3x3 = Parameter(name = 'Ryu3x3',
                   nature = 'external',
                   type = 'real',
                   value = 0.847827829,
                   texname = '\\text{Ryu3x3}',
                   lhablock = 'YU',
                   lhacode = [ 3, 3 ])

MZ = Parameter(name = 'MZ',
               nature = 'external',
               type = 'real',
               value = 91.187,
               texname = '\\text{MZ}',
               lhablock = 'MASS',
               lhacode = [ 23 ])

MW = Parameter(name = 'MW',
               nature = 'external',
               type = 'real',
               value = 80.9387517,
               texname = '\\text{MW}',
               lhablock = 'MASS',
               lhacode = [ 24 ])

Mneu1 = Parameter(name = 'Mneu1',
                  nature = 'external',
                  type = 'real',
                  value = 208.141578,
                  texname = '\\text{Mneu1}',
                  lhablock = 'MASS',
                  lhacode = [ 1000022 ])

Mneu2 = Parameter(name = 'Mneu2',
                  nature = 'external',
                  type = 'real',
                  value = 397.851055,
                  texname = '\\text{Mneu2}',
                  lhablock = 'MASS',
                  lhacode = [ 1000023 ])

Mneu3 = Parameter(name = 'Mneu3',
                  nature = 'external',
                  type = 'real',
                  value = -963.980547,
                  texname = '\\text{Mneu3}',
                  lhablock = 'MASS',
                  lhacode = [ 1000025 ])

Mneu4 = Parameter(name = 'Mneu4',
                  nature = 'external',
                  type = 'real',
                  value = 969.59391,
                  texname = '\\text{Mneu4}',
                  lhablock = 'MASS',
                  lhacode = [ 1000035 ])

Mneu5 = Parameter(name = 'Mneu5',
                  nature = 'external',
                  type = 'real',
                  value = 2094.27413,
                  texname = '\\text{Mneu5}',
                  lhablock = 'MASS',
                  lhacode = [ 1000045 ])

Mneu6 = Parameter(name = 'Mneu6',
                  nature = 'external',
                  type = 'real',
                  value = 3023.9874,
                  texname = '\\text{Mneu6}',
                  lhablock = 'MASS',
                  lhacode = [ 1000055 ])

Mneu7 = Parameter(name = 'Mneu7',
                  nature = 'external',
                  type = 'real',
                  value = 4094.27413,
                  texname = '\\text{Mneu7}',
                  lhablock = 'MASS',
                  lhacode = [ 1000065 ])

Mneu8 = Parameter(name = 'Mneu8',
                  nature = 'external',
                  type = 'real',
                  value = 5094.27413,
                  texname = '\\text{Mneu8}',
                  lhablock = 'MASS',
                  lhacode = [ 1000075 ])

Mch1 = Parameter(name = 'Mch1',
                 nature = 'external',
                 type = 'real',
                 value = 397.829545,
                 texname = '\\text{Mch1}',
                 lhablock = 'MASS',
                 lhacode = [ 1000024 ])

Mch2 = Parameter(name = 'Mch2',
                 nature = 'external',
                 type = 'real',
                 value = 970.136817,
                 texname = '\\text{Mch2}',
                 lhablock = 'MASS',
                 lhacode = [ 1000037 ])

Mgo = Parameter(name = 'Mgo',
                nature = 'external',
                type = 'real',
                value = 1151.54279,
                texname = '\\text{Mgo}',
                lhablock = 'MASS',
                lhacode = [ 1000021 ])

MH01 = Parameter(name = 'MH01',
                 nature = 'external',
                 type = 'real',
                 value = 119.163922,
                 texname = '\\text{MH01}',
                 lhablock = 'MASS',
                 lhacode = [ 25 ])

MH02 = Parameter(name = 'MH02',
                 nature = 'external',
                 type = 'real',
                 value = 1016.55127,
                 texname = '\\text{MH02}',
                 lhablock = 'MASS',
                 lhacode = [ 35 ])

MH03 = Parameter(name = 'MH03',
                 nature = 'external',
                 type = 'real',
                 value = 2112.57647,
                 texname = '\\text{MH03}',
                 lhablock = 'MASS',
                 lhacode = [ 45 ])

MxA01 = Parameter(name = 'MxA01',
                  nature = 'external',
                  type = 'real',
                  value = 40.3976968,
                  texname = '\\text{MxA01}',
                  lhablock = 'MASS',
                  lhacode = [ 36 ])

MxA02 = Parameter(name = 'MxA02',
                  nature = 'external',
                  type = 'real',
                  value = 1021.04211,
                  texname = '\\text{MxA02}',
                  lhablock = 'MASS',
                  lhacode = [ 46 ])

MH = Parameter(name = 'MH',
               nature = 'external',
               type = 'real',
               value = 1022.47183,
               texname = '\\text{MH}',
               lhablock = 'MASS',
               lhacode = [ 37 ])

Mta = Parameter(name = 'Mta',
                nature = 'external',
                type = 'real',
                value = 1.777,
                texname = '\\text{Mta}',
                lhablock = 'MASS',
                lhacode = [ 15 ])

MT = Parameter(name = 'MT',
               nature = 'external',
               type = 'real',
               value = 171.4,
               texname = '\\text{MT}',
               lhablock = 'MASS',
               lhacode = [ 6 ])

MB = Parameter(name = 'MB',
               nature = 'external',
               type = 'real',
               value = 4.214,
               texname = '\\text{MB}',
               lhablock = 'MASS',
               lhacode = [ 5 ])

Msn1 = Parameter(name = 'Msn1',
                 nature = 'external',
                 type = 'real',
                 value = 360.340595,
                 texname = '\\text{Msn1}',
                 lhablock = 'MASS',
                 lhacode = [ 1000012 ])

Msn2 = Parameter(name = 'Msn2',
                 nature = 'external',
                 type = 'real',
                 value = 372.121162,
                 texname = '\\text{Msn2}',
                 lhablock = 'MASS',
                 lhacode = [ 1000014 ])

Msn3 = Parameter(name = 'Msn3',
                 nature = 'external',
                 type = 'real',
                 value = 372.121162,
                 texname = '\\text{Msn3}',
                 lhablock = 'MASS',
                 lhacode = [ 1000016 ])

Msl1 = Parameter(name = 'Msl1',
                 nature = 'external',
                 type = 'real',
                 value = 214.739576,
                 texname = '\\text{Msl1}',
                 lhablock = 'MASS',
                 lhacode = [ 1000011 ])

Msl2 = Parameter(name = 'Msl2',
                 nature = 'external',
                 type = 'real',
                 value = 261.024365,
                 texname = '\\text{Msl2}',
                 lhablock = 'MASS',
                 lhacode = [ 1000013 ])

Msl3 = Parameter(name = 'Msl3',
                 nature = 'external',
                 type = 'real',
                 value = 261.024365,
                 texname = '\\text{Msl3}',
                 lhablock = 'MASS',
                 lhacode = [ 1000015 ])

Msl4 = Parameter(name = 'Msl4',
                 nature = 'external',
                 type = 'real',
                 value = 374.857439,
                 texname = '\\text{Msl4}',
                 lhablock = 'MASS',
                 lhacode = [ 2000011 ])

Msl5 = Parameter(name = 'Msl5',
                 nature = 'external',
                 type = 'real',
                 value = 380.175937,
                 texname = '\\text{Msl5}',
                 lhablock = 'MASS',
                 lhacode = [ 2000013 ])

Msl6 = Parameter(name = 'Msl6',
                 nature = 'external',
                 type = 'real',
                 value = 380.175937,
                 texname = '\\text{Msl6}',
                 lhablock = 'MASS',
                 lhacode = [ 2000015 ])

Msu1 = Parameter(name = 'Msu1',
                 nature = 'external',
                 type = 'real',
                 value = 499.229271,
                 texname = '\\text{Msu1}',
                 lhablock = 'MASS',
                 lhacode = [ 1000002 ])

Msu2 = Parameter(name = 'Msu2',
                 nature = 'external',
                 type = 'real',
                 value = 935.527355,
                 texname = '\\text{Msu2}',
                 lhablock = 'MASS',
                 lhacode = [ 1000004 ])

Msu3 = Parameter(name = 'Msu3',
                 nature = 'external',
                 type = 'real',
                 value = 1027.25889,
                 texname = '\\text{Msu3}',
                 lhablock = 'MASS',
                 lhacode = [ 1000006 ])

Msu4 = Parameter(name = 'Msu4',
                 nature = 'external',
                 type = 'real',
                 value = 1027.25889,
                 texname = '\\text{Msu4}',
                 lhablock = 'MASS',
                 lhacode = [ 2000002 ])

Msu5 = Parameter(name = 'Msu5',
                 nature = 'external',
                 type = 'real',
                 value = 1063.63463,
                 texname = '\\text{Msu5}',
                 lhablock = 'MASS',
                 lhacode = [ 2000004 ])

Msu6 = Parameter(name = 'Msu6',
                 nature = 'external',
                 type = 'real',
                 value = 1063.63463,
                 texname = '\\text{Msu6}',
                 lhablock = 'MASS',
                 lhacode = [ 2000006 ])

Msd1 = Parameter(name = 'Msd1',
                 nature = 'external',
                 type = 'real',
                 value = 866.365161,
                 texname = '\\text{Msd1}',
                 lhablock = 'MASS',
                 lhacode = [ 1000001 ])

Msd2 = Parameter(name = 'Msd2',
                 nature = 'external',
                 type = 'real',
                 value = 992.138103,
                 texname = '\\text{Msd2}',
                 lhablock = 'MASS',
                 lhacode = [ 1000003 ])

Msd3 = Parameter(name = 'Msd3',
                 nature = 'external',
                 type = 'real',
                 value = 1023.75369,
                 texname = '\\text{Msd3}',
                 lhablock = 'MASS',
                 lhacode = [ 1000005 ])

Msd4 = Parameter(name = 'Msd4',
                 nature = 'external',
                 type = 'real',
                 value = 1023.75369,
                 texname = '\\text{Msd4}',
                 lhablock = 'MASS',
                 lhacode = [ 2000001 ])

Msd5 = Parameter(name = 'Msd5',
                 nature = 'external',
                 type = 'real',
                 value = 1066.51941,
                 texname = '\\text{Msd5}',
                 lhablock = 'MASS',
                 lhacode = [ 2000003 ])

Msd6 = Parameter(name = 'Msd6',
                 nature = 'external',
                 type = 'real',
                 value = 1066.51941,
                 texname = '\\text{Msd6}',
                 lhablock = 'MASS',
                 lhacode = [ 2000005 ])

Wneu2 = Parameter(name = 'Wneu2',
                  nature = 'external',
                  type = 'real',
                  value = 2.,
                  texname = '\\text{Wneu2}',
                  lhablock = 'DECAY',
                  lhacode = [ 1000023 ])

Wneu3 = Parameter(name = 'Wneu3',
                  nature = 'external',
                  type = 'real',
                  value = 2.,
                  texname = '\\text{Wneu3}',
                  lhablock = 'DECAY',
                  lhacode = [ 1000025 ])

Wneu4 = Parameter(name = 'Wneu4',
                  nature = 'external',
                  type = 'real',
                  value = 2.,
                  texname = '\\text{Wneu4}',
                  lhablock = 'DECAY',
                  lhacode = [ 1000035 ])

Wneu5 = Parameter(name = 'Wneu5',
                  nature = 'external',
                  type = 'real',
                  value = 2.,
                  texname = '\\text{Wneu5}',
                  lhablock = 'DECAY',
                  lhacode = [ 1000045 ])

Wneu6 = Parameter(name = 'Wneu6',
                  nature = 'external',
                  type = 'real',
                  value = 2.,
                  texname = '\\text{Wneu6}',
                  lhablock = 'DECAY',
                  lhacode = [ 1000055 ])

Wneu7 = Parameter(name = 'Wneu7',
                  nature = 'external',
                  type = 'real',
                  value = 2.,
                  texname = '\\text{Wneu7}',
                  lhablock = 'DECAY',
                  lhacode = [ 1000065 ])

Wneu8 = Parameter(name = 'Wneu8',
                  nature = 'external',
                  type = 'real',
                  value = 2.,
                  texname = '\\text{Wneu8}',
                  lhablock = 'DECAY',
                  lhacode = [ 1000075 ])

Wch1 = Parameter(name = 'Wch1',
                 nature = 'external',
                 type = 'real',
                 value = 2.,
                 texname = '\\text{Wch1}',
                 lhablock = 'DECAY',
                 lhacode = [ 1000024 ])

Wch2 = Parameter(name = 'Wch2',
                 nature = 'external',
                 type = 'real',
                 value = 2.,
                 texname = '\\text{Wch2}',
                 lhablock = 'DECAY',
                 lhacode = [ 1000037 ])

Wgo = Parameter(name = 'Wgo',
                nature = 'external',
                type = 'real',
                value = 2.,
                texname = '\\text{Wgo}',
                lhablock = 'DECAY',
                lhacode = [ 1000021 ])

WH01 = Parameter(name = 'WH01',
                 nature = 'external',
                 type = 'real',
                 value = 0.0303786329,
                 texname = '\\text{WH01}',
                 lhablock = 'DECAY',
                 lhacode = [ 25 ])

WH02 = Parameter(name = 'WH02',
                 nature = 'external',
                 type = 'real',
                 value = 4.9565785,
                 texname = '\\text{WH02}',
                 lhablock = 'DECAY',
                 lhacode = [ 35 ])

WH03 = Parameter(name = 'WH03',
                 nature = 'external',
                 type = 'real',
                 value = 1.11808339,
                 texname = '\\text{WH03}',
                 lhablock = 'DECAY',
                 lhacode = [ 45 ])

WA01 = Parameter(name = 'WA01',
                 nature = 'external',
                 type = 'real',
                 value = 0.000249558656,
                 texname = '\\text{WA01}',
                 lhablock = 'DECAY',
                 lhacode = [ 36 ])

WA02 = Parameter(name = 'WA02',
                 nature = 'external',
                 type = 'real',
                 value = 3.50947871,
                 texname = '\\text{WA02}',
                 lhablock = 'DECAY',
                 lhacode = [ 46 ])

WH = Parameter(name = 'WH',
               nature = 'external',
               type = 'real',
               value = 3.25001093,
               texname = '\\text{WH}',
               lhablock = 'DECAY',
               lhacode = [ 37 ])

WT = Parameter(name = 'WT',
               nature = 'external',
               type = 'real',
               value = 1.33482521,
               texname = '\\text{WT}',
               lhablock = 'DECAY',
               lhacode = [ 6 ])

Wsn1 = Parameter(name = 'Wsn1',
                 nature = 'external',
                 type = 'real',
                 value = 2.,
                 texname = '\\text{Wsn1}',
                 lhablock = 'DECAY',
                 lhacode = [ 1000012 ])

Wsn2 = Parameter(name = 'Wsn2',
                 nature = 'external',
                 type = 'real',
                 value = 2.,
                 texname = '\\text{Wsn2}',
                 lhablock = 'DECAY',
                 lhacode = [ 1000014 ])

Wsn3 = Parameter(name = 'Wsn3',
                 nature = 'external',
                 type = 'real',
                 value = 2.,
                 texname = '\\text{Wsn3}',
                 lhablock = 'DECAY',
                 lhacode = [ 1000016 ])

Wsl1 = Parameter(name = 'Wsl1',
                 nature = 'external',
                 type = 'real',
                 value = 2.,
                 texname = '\\text{Wsl1}',
                 lhablock = 'DECAY',
                 lhacode = [ 1000011 ])

Wsl2 = Parameter(name = 'Wsl2',
                 nature = 'external',
                 type = 'real',
                 value = 2.,
                 texname = '\\text{Wsl2}',
                 lhablock = 'DECAY',
                 lhacode = [ 1000013 ])

Wsl3 = Parameter(name = 'Wsl3',
                 nature = 'external',
                 type = 'real',
                 value = 2.,
                 texname = '\\text{Wsl3}',
                 lhablock = 'DECAY',
                 lhacode = [ 1000015 ])

Wsl4 = Parameter(name = 'Wsl4',
                 nature = 'external',
                 type = 'real',
                 value = 2.,
                 texname = '\\text{Wsl4}',
                 lhablock = 'DECAY',
                 lhacode = [ 2000011 ])

Wsl5 = Parameter(name = 'Wsl5',
                 nature = 'external',
                 type = 'real',
                 value = 2.,
                 texname = '\\text{Wsl5}',
                 lhablock = 'DECAY',
                 lhacode = [ 2000013 ])

Wsl6 = Parameter(name = 'Wsl6',
                 nature = 'external',
                 type = 'real',
                 value = 2.,
                 texname = '\\text{Wsl6}',
                 lhablock = 'DECAY',
                 lhacode = [ 2000015 ])

Wsu1 = Parameter(name = 'Wsu1',
                 nature = 'external',
                 type = 'real',
                 value = 2.,
                 texname = '\\text{Wsu1}',
                 lhablock = 'DECAY',
                 lhacode = [ 1000002 ])

Wsu2 = Parameter(name = 'Wsu2',
                 nature = 'external',
                 type = 'real',
                 value = 2.,
                 texname = '\\text{Wsu2}',
                 lhablock = 'DECAY',
                 lhacode = [ 1000004 ])

Wsu3 = Parameter(name = 'Wsu3',
                 nature = 'external',
                 type = 'real',
                 value = 2.,
                 texname = '\\text{Wsu3}',
                 lhablock = 'DECAY',
                 lhacode = [ 1000006 ])

Wsu4 = Parameter(name = 'Wsu4',
                 nature = 'external',
                 type = 'real',
                 value = 2.,
                 texname = '\\text{Wsu4}',
                 lhablock = 'DECAY',
                 lhacode = [ 2000002 ])

Wsu5 = Parameter(name = 'Wsu5',
                 nature = 'external',
                 type = 'real',
                 value = 2.,
                 texname = '\\text{Wsu5}',
                 lhablock = 'DECAY',
                 lhacode = [ 2000004 ])

Wsu6 = Parameter(name = 'Wsu6',
                 nature = 'external',
                 type = 'real',
                 value = 2.,
                 texname = '\\text{Wsu6}',
                 lhablock = 'DECAY',
                 lhacode = [ 2000006 ])

Wsd1 = Parameter(name = 'Wsd1',
                 nature = 'external',
                 type = 'real',
                 value = 2.,
                 texname = '\\text{Wsd1}',
                 lhablock = 'DECAY',
                 lhacode = [ 1000001 ])

Wsd2 = Parameter(name = 'Wsd2',
                 nature = 'external',
                 type = 'real',
                 value = 2.,
                 texname = '\\text{Wsd2}',
                 lhablock = 'DECAY',
                 lhacode = [ 1000003 ])

Wsd3 = Parameter(name = 'Wsd3',
                 nature = 'external',
                 type = 'real',
                 value = 2.,
                 texname = '\\text{Wsd3}',
                 lhablock = 'DECAY',
                 lhacode = [ 1000005 ])

Wsd4 = Parameter(name = 'Wsd4',
                 nature = 'external',
                 type = 'real',
                 value = 2.,
                 texname = '\\text{Wsd4}',
                 lhablock = 'DECAY',
                 lhacode = [ 2000001 ])

Wsd5 = Parameter(name = 'Wsd5',
                 nature = 'external',
                 type = 'real',
                 value = 2.,
                 texname = '\\text{Wsd5}',
                 lhablock = 'DECAY',
                 lhacode = [ 2000003 ])

Wsd6 = Parameter(name = 'Wsd6',
                 nature = 'external',
                 type = 'real',
                 value = 2.,
                 texname = '\\text{Wsd6}',
                 lhablock = 'DECAY',
                 lhacode = [ 2000005 ])

beta = Parameter(name = 'beta',
                 nature = 'internal',
                 type = 'real',
                 value = 'cmath.atan(tb)',
                 texname = '\\beta')

cw = Parameter(name = 'cw',
               nature = 'internal',
               type = 'real',
               value = 'MW/MZ',
               texname = 'c_w')

mD21x1 = Parameter(name = 'mD21x1',
                   nature = 'internal',
                   type = 'complex',
                   value = 'RmD21x1',
                   texname = '\\text{mD21x1}')

mD22x2 = Parameter(name = 'mD22x2',
                   nature = 'internal',
                   type = 'complex',
                   value = 'RmD22x2',
                   texname = '\\text{mD22x2}')

mD23x3 = Parameter(name = 'mD23x3',
                   nature = 'internal',
                   type = 'complex',
                   value = 'RmD23x3',
                   texname = '\\text{mD23x3}')

mE21x1 = Parameter(name = 'mE21x1',
                   nature = 'internal',
                   type = 'complex',
                   value = 'RmE21x1',
                   texname = '\\text{mE21x1}')

mE22x2 = Parameter(name = 'mE22x2',
                   nature = 'internal',
                   type = 'complex',
                   value = 'RmE22x2',
                   texname = '\\text{mE22x2}')

mE23x3 = Parameter(name = 'mE23x3',
                   nature = 'internal',
                   type = 'complex',
                   value = 'RmE23x3',
                   texname = '\\text{mE23x3}')

mL21x1 = Parameter(name = 'mL21x1',
                   nature = 'internal',
                   type = 'complex',
                   value = 'RmL21x1',
                   texname = '\\text{mL21x1}')

mL22x2 = Parameter(name = 'mL22x2',
                   nature = 'internal',
                   type = 'complex',
                   value = 'RmL22x2',
                   texname = '\\text{mL22x2}')

mL23x3 = Parameter(name = 'mL23x3',
                   nature = 'internal',
                   type = 'complex',
                   value = 'RmL23x3',
                   texname = '\\text{mL23x3}')

mQ21x1 = Parameter(name = 'mQ21x1',
                   nature = 'internal',
                   type = 'complex',
                   value = 'RmQ21x1',
                   texname = '\\text{mQ21x1}')

mQ22x2 = Parameter(name = 'mQ22x2',
                   nature = 'internal',
                   type = 'complex',
                   value = 'RmQ22x2',
                   texname = '\\text{mQ22x2}')

mQ23x3 = Parameter(name = 'mQ23x3',
                   nature = 'internal',
                   type = 'complex',
                   value = 'RmQ23x3',
                   texname = '\\text{mQ23x3}')

mU21x1 = Parameter(name = 'mU21x1',
                   nature = 'internal',
                   type = 'complex',
                   value = 'RmU21x1',
                   texname = '\\text{mU21x1}')

mU22x2 = Parameter(name = 'mU22x2',
                   nature = 'internal',
                   type = 'complex',
                   value = 'RmU22x2',
                   texname = '\\text{mU22x2}')

mU23x3 = Parameter(name = 'mU23x3',
                   nature = 'internal',
                   type = 'complex',
                   value = 'RmU23x3',
                   texname = '\\text{mU23x3}')

Mx1 = Parameter(name = 'Mx1',
                nature = 'internal',
                type = 'complex',
                value = 'RMx1',
                texname = 'M_1')

Mx2 = Parameter(name = 'Mx2',
                nature = 'internal',
                type = 'complex',
                value = 'RMx2',
                texname = 'M_2')

Mx3 = Parameter(name = 'Mx3',
                nature = 'internal',
                type = 'complex',
                value = 'RMx3',
                texname = 'M_3')

NN1x1 = Parameter(name = 'NN1x1',
                  nature = 'internal',
                  type = 'complex',
                  value = 'RNN1x1',
                  texname = '\\text{NN1x1}')

NN1x2 = Parameter(name = 'NN1x2',
                  nature = 'internal',
                  type = 'complex',
                  value = 'RNN1x2',
                  texname = '\\text{NN1x2}')

NN1x3 = Parameter(name = 'NN1x3',
                  nature = 'internal',
                  type = 'complex',
                  value = 'RNN1x3',
                  texname = '\\text{NN1x3}')

NN1x4 = Parameter(name = 'NN1x4',
                  nature = 'internal',
                  type = 'complex',
                  value = 'RNN1x4',
                  texname = '\\text{NN1x4}')

NN1x5 = Parameter(name = 'NN1x5',
                  nature = 'internal',
                  type = 'complex',
                  value = 'RNN1x5',
                  texname = '\\text{NN1x5}')

NN1x6 = Parameter(name = 'NN1x6',
                  nature = 'internal',
                  type = 'complex',
                  value = 'complex(0,1)*INN1x6 + RNN1x6',
                  texname = '\\text{NN1x6}')

NN1x7 = Parameter(name = 'NN1x7',
                  nature = 'internal',
                  type = 'complex',
                  value = 'complex(0,1)*INN1x7 + RNN1x7',
                  texname = '\\text{NN1x7}')

NN1x8 = Parameter(name = 'NN1x8',
                  nature = 'internal',
                  type = 'complex',
                  value = 'complex(0,1)*INN1x8 + RNN1x8',
                  texname = '\\text{NN1x8}')

NN2x1 = Parameter(name = 'NN2x1',
                  nature = 'internal',
                  type = 'complex',
                  value = 'RNN2x1',
                  texname = '\\text{NN2x1}')

NN2x2 = Parameter(name = 'NN2x2',
                  nature = 'internal',
                  type = 'complex',
                  value = 'RNN2x2',
                  texname = '\\text{NN2x2}')

NN2x3 = Parameter(name = 'NN2x3',
                  nature = 'internal',
                  type = 'complex',
                  value = 'RNN2x3',
                  texname = '\\text{NN2x3}')

NN2x4 = Parameter(name = 'NN2x4',
                  nature = 'internal',
                  type = 'complex',
                  value = 'RNN2x4',
                  texname = '\\text{NN2x4}')

NN2x5 = Parameter(name = 'NN2x5',
                  nature = 'internal',
                  type = 'complex',
                  value = 'RNN2x5',
                  texname = '\\text{NN2x5}')

NN2x6 = Parameter(name = 'NN2x6',
                  nature = 'internal',
                  type = 'complex',
                  value = 'complex(0,1)*INN2x6 + RNN2x6',
                  texname = '\\text{NN2x6}')

NN2x7 = Parameter(name = 'NN2x7',
                  nature = 'internal',
                  type = 'complex',
                  value = 'complex(0,1)*INN2x7 + RNN2x7',
                  texname = '\\text{NN2x7}')

NN2x8 = Parameter(name = 'NN2x8',
                  nature = 'internal',
                  type = 'complex',
                  value = 'complex(0,1)*INN2x8 + RNN2x8',
                  texname = '\\text{NN2x8}')

NN3x1 = Parameter(name = 'NN3x1',
                  nature = 'internal',
                  type = 'complex',
                  value = 'RNN3x1',
                  texname = '\\text{NN3x1}')

NN3x2 = Parameter(name = 'NN3x2',
                  nature = 'internal',
                  type = 'complex',
                  value = 'RNN3x2',
                  texname = '\\text{NN3x2}')

NN3x3 = Parameter(name = 'NN3x3',
                  nature = 'internal',
                  type = 'complex',
                  value = 'RNN3x3',
                  texname = '\\text{NN3x3}')

NN3x4 = Parameter(name = 'NN3x4',
                  nature = 'internal',
                  type = 'complex',
                  value = 'RNN3x4',
                  texname = '\\text{NN3x4}')

NN3x5 = Parameter(name = 'NN3x5',
                  nature = 'internal',
                  type = 'complex',
                  value = 'RNN3x5',
                  texname = '\\text{NN3x5}')

NN3x6 = Parameter(name = 'NN3x6',
                  nature = 'internal',
                  type = 'complex',
                  value = 'complex(0,1)*INN3x6 + RNN3x6',
                  texname = '\\text{NN3x6}')

NN3x7 = Parameter(name = 'NN3x7',
                  nature = 'internal',
                  type = 'complex',
                  value = 'complex(0,1)*INN3x7 + RNN3x7',
                  texname = '\\text{NN3x7}')

NN3x8 = Parameter(name = 'NN3x8',
                  nature = 'internal',
                  type = 'complex',
                  value = 'complex(0,1)*INN3x8 + RNN3x8',
                  texname = '\\text{NN3x8}')

NN4x1 = Parameter(name = 'NN4x1',
                  nature = 'internal',
                  type = 'complex',
                  value = 'RNN4x1',
                  texname = '\\text{NN4x1}')

NN4x2 = Parameter(name = 'NN4x2',
                  nature = 'internal',
                  type = 'complex',
                  value = 'RNN4x2',
                  texname = '\\text{NN4x2}')

NN4x3 = Parameter(name = 'NN4x3',
                  nature = 'internal',
                  type = 'complex',
                  value = 'RNN4x3',
                  texname = '\\text{NN4x3}')

NN4x4 = Parameter(name = 'NN4x4',
                  nature = 'internal',
                  type = 'complex',
                  value = 'RNN4x4',
                  texname = '\\text{NN4x4}')

NN4x5 = Parameter(name = 'NN4x5',
                  nature = 'internal',
                  type = 'complex',
                  value = 'RNN4x5',
                  texname = '\\text{NN4x5}')

NN4x6 = Parameter(name = 'NN4x6',
                  nature = 'internal',
                  type = 'complex',
                  value = 'complex(0,1)*INN4x6 + RNN4x6',
                  texname = '\\text{NN4x6}')

NN4x7 = Parameter(name = 'NN4x7',
                  nature = 'internal',
                  type = 'complex',
                  value = 'complex(0,1)*INN4x7 + RNN4x7',
                  texname = '\\text{NN4x7}')

NN4x8 = Parameter(name = 'NN4x8',
                  nature = 'internal',
                  type = 'complex',
                  value = 'complex(0,1)*INN4x8 + RNN4x8',
                  texname = '\\text{NN4x8}')

NN5x1 = Parameter(name = 'NN5x1',
                  nature = 'internal',
                  type = 'complex',
                  value = 'RNN5x1',
                  texname = '\\text{NN5x1}')

NN5x2 = Parameter(name = 'NN5x2',
                  nature = 'internal',
                  type = 'complex',
                  value = 'RNN5x2',
                  texname = '\\text{NN5x2}')

NN5x3 = Parameter(name = 'NN5x3',
                  nature = 'internal',
                  type = 'complex',
                  value = 'RNN5x3',
                  texname = '\\text{NN5x3}')

NN5x4 = Parameter(name = 'NN5x4',
                  nature = 'internal',
                  type = 'complex',
                  value = 'RNN5x4',
                  texname = '\\text{NN5x4}')

NN5x5 = Parameter(name = 'NN5x5',
                  nature = 'internal',
                  type = 'complex',
                  value = 'RNN5x5',
                  texname = '\\text{NN5x5}')

NN5x6 = Parameter(name = 'NN5x6',
                  nature = 'internal',
                  type = 'complex',
                  value = 'complex(0,1)*INN5x6 + RNN5x6',
                  texname = '\\text{NN5x6}')

NN5x7 = Parameter(name = 'NN5x7',
                  nature = 'internal',
                  type = 'complex',
                  value = 'complex(0,1)*INN5x7 + RNN5x7',
                  texname = '\\text{NN5x7}')

NN5x8 = Parameter(name = 'NN5x8',
                  nature = 'internal',
                  type = 'complex',
                  value = 'complex(0,1)*INN5x8 + RNN5x8',
                  texname = '\\text{NN5x8}')

NN6x1 = Parameter(name = 'NN6x1',
                  nature = 'internal',
                  type = 'complex',
                  value = 'complex(0,1)*INN6x1 + RNN6x1',
                  texname = '\\text{NN6x1}')

NN6x2 = Parameter(name = 'NN6x2',
                  nature = 'internal',
                  type = 'complex',
                  value = 'complex(0,1)*INN6x2 + RNN6x2',
                  texname = '\\text{NN6x2}')

NN6x3 = Parameter(name = 'NN6x3',
                  nature = 'internal',
                  type = 'complex',
                  value = 'complex(0,1)*INN6x3 + RNN6x3',
                  texname = '\\text{NN6x3}')

NN6x4 = Parameter(name = 'NN6x4',
                  nature = 'internal',
                  type = 'complex',
                  value = 'complex(0,1)*INN6x4 + RNN6x4',
                  texname = '\\text{NN6x4}')

NN6x5 = Parameter(name = 'NN6x5',
                  nature = 'internal',
                  type = 'complex',
                  value = 'complex(0,1)*INN6x5 + RNN6x5',
                  texname = '\\text{NN6x5}')

NN6x6 = Parameter(name = 'NN6x6',
                  nature = 'internal',
                  type = 'complex',
                  value = 'complex(0,1)*INN6x6 + RNN6x6',
                  texname = '\\text{NN6x6}')

NN6x7 = Parameter(name = 'NN6x7',
                  nature = 'internal',
                  type = 'complex',
                  value = 'complex(0,1)*INN6x7 + RNN6x7',
                  texname = '\\text{NN6x7}')

NN6x8 = Parameter(name = 'NN6x8',
                  nature = 'internal',
                  type = 'complex',
                  value = 'complex(0,1)*INN6x8 + RNN6x8',
                  texname = '\\text{NN6x8}')

NN7x1 = Parameter(name = 'NN7x1',
                  nature = 'internal',
                  type = 'complex',
                  value = 'complex(0,1)*INN7x1 + RNN7x1',
                  texname = '\\text{NN7x1}')

NN7x2 = Parameter(name = 'NN7x2',
                  nature = 'internal',
                  type = 'complex',
                  value = 'complex(0,1)*INN7x2 + RNN7x2',
                  texname = '\\text{NN7x2}')

NN7x3 = Parameter(name = 'NN7x3',
                  nature = 'internal',
                  type = 'complex',
                  value = 'complex(0,1)*INN7x3 + RNN7x3',
                  texname = '\\text{NN7x3}')

NN7x4 = Parameter(name = 'NN7x4',
                  nature = 'internal',
                  type = 'complex',
                  value = 'complex(0,1)*INN7x4 + RNN7x4',
                  texname = '\\text{NN7x4}')

NN7x5 = Parameter(name = 'NN7x5',
                  nature = 'internal',
                  type = 'complex',
                  value = 'complex(0,1)*INN7x5 + RNN7x5',
                  texname = '\\text{NN7x5}')

NN7x6 = Parameter(name = 'NN7x6',
                  nature = 'internal',
                  type = 'complex',
                  value = 'complex(0,1)*INN7x6 + RNN7x6',
                  texname = '\\text{NN7x6}')

NN7x7 = Parameter(name = 'NN7x7',
                  nature = 'internal',
                  type = 'complex',
                  value = 'complex(0,1)*INN7x7 + RNN7x7',
                  texname = '\\text{NN7x7}')

NN7x8 = Parameter(name = 'NN7x8',
                  nature = 'internal',
                  type = 'complex',
                  value = 'complex(0,1)*INN7x8 + RNN7x8',
                  texname = '\\text{NN7x8}')

NN8x1 = Parameter(name = 'NN8x1',
                  nature = 'internal',
                  type = 'complex',
                  value = 'complex(0,1)*INN8x1 + RNN8x1',
                  texname = '\\text{NN8x1}')

NN8x2 = Parameter(name = 'NN8x2',
                  nature = 'internal',
                  type = 'complex',
                  value = 'complex(0,1)*INN8x2 + RNN8x2',
                  texname = '\\text{NN8x2}')

NN8x3 = Parameter(name = 'NN8x3',
                  nature = 'internal',
                  type = 'complex',
                  value = 'complex(0,1)*INN8x3 + RNN8x3',
                  texname = '\\text{NN8x3}')

NN8x4 = Parameter(name = 'NN8x4',
                  nature = 'internal',
                  type = 'complex',
                  value = 'complex(0,1)*INN8x4 + RNN8x4',
                  texname = '\\text{NN8x4}')

NN8x5 = Parameter(name = 'NN8x5',
                  nature = 'internal',
                  type = 'complex',
                  value = 'complex(0,1)*INN8x5 + RNN8x5',
                  texname = '\\text{NN8x5}')

NN8x6 = Parameter(name = 'NN8x6',
                  nature = 'internal',
                  type = 'complex',
                  value = 'complex(0,1)*INN8x6 + RNN8x6',
                  texname = '\\text{NN8x6}')

NN8x7 = Parameter(name = 'NN8x7',
                  nature = 'internal',
                  type = 'complex',
                  value = 'complex(0,1)*INN8x7 + RNN8x7',
                  texname = '\\text{NN8x7}')

NN8x8 = Parameter(name = 'NN8x8',
                  nature = 'internal',
                  type = 'complex',
                  value = 'complex(0,1)*INN8x8 + RNN8x8',
                  texname = '\\text{NN8x8}')

Rd1x3 = Parameter(name = 'Rd1x3',
                  nature = 'internal',
                  type = 'complex',
                  value = 'RRd1x3',
                  texname = '\\text{Rd1x3}')

Rd1x6 = Parameter(name = 'Rd1x6',
                  nature = 'internal',
                  type = 'complex',
                  value = 'RRd1x6',
                  texname = '\\text{Rd1x6}')

Rd2x3 = Parameter(name = 'Rd2x3',
                  nature = 'internal',
                  type = 'complex',
                  value = 'RRd2x3',
                  texname = '\\text{Rd2x3}')

Rd2x6 = Parameter(name = 'Rd2x6',
                  nature = 'internal',
                  type = 'complex',
                  value = 'RRd2x6',
                  texname = '\\text{Rd2x6}')

Rd3x5 = Parameter(name = 'Rd3x5',
                  nature = 'internal',
                  type = 'complex',
                  value = 'RRd3x5',
                  texname = '\\text{Rd3x5}')

Rd4x4 = Parameter(name = 'Rd4x4',
                  nature = 'internal',
                  type = 'complex',
                  value = 'RRd4x4',
                  texname = '\\text{Rd4x4}')

Rd5x1 = Parameter(name = 'Rd5x1',
                  nature = 'internal',
                  type = 'complex',
                  value = 'RRd5x1',
                  texname = '\\text{Rd5x1}')

Rd6x2 = Parameter(name = 'Rd6x2',
                  nature = 'internal',
                  type = 'complex',
                  value = 'RRd6x2',
                  texname = '\\text{Rd6x2}')

Rl1x3 = Parameter(name = 'Rl1x3',
                  nature = 'internal',
                  type = 'complex',
                  value = 'RRl1x3',
                  texname = '\\text{Rl1x3}')

Rl1x6 = Parameter(name = 'Rl1x6',
                  nature = 'internal',
                  type = 'complex',
                  value = 'RRl1x6',
                  texname = '\\text{Rl1x6}')

Rl2x4 = Parameter(name = 'Rl2x4',
                  nature = 'internal',
                  type = 'complex',
                  value = 'RRl2x4',
                  texname = '\\text{Rl2x4}')

Rl3x5 = Parameter(name = 'Rl3x5',
                  nature = 'internal',
                  type = 'complex',
                  value = 'RRl3x5',
                  texname = '\\text{Rl3x5}')

Rl4x3 = Parameter(name = 'Rl4x3',
                  nature = 'internal',
                  type = 'complex',
                  value = 'RRl4x3',
                  texname = '\\text{Rl4x3}')

Rl4x6 = Parameter(name = 'Rl4x6',
                  nature = 'internal',
                  type = 'complex',
                  value = 'RRl4x6',
                  texname = '\\text{Rl4x6}')

Rl5x1 = Parameter(name = 'Rl5x1',
                  nature = 'internal',
                  type = 'complex',
                  value = 'RRl5x1',
                  texname = '\\text{Rl5x1}')

Rl6x2 = Parameter(name = 'Rl6x2',
                  nature = 'internal',
                  type = 'complex',
                  value = 'RRl6x2',
                  texname = '\\text{Rl6x2}')

Rn1x3 = Parameter(name = 'Rn1x3',
                  nature = 'internal',
                  type = 'complex',
                  value = 'RRn1x3',
                  texname = '\\text{Rn1x3}')

Rn2x2 = Parameter(name = 'Rn2x2',
                  nature = 'internal',
                  type = 'complex',
                  value = 'RRn2x2',
                  texname = '\\text{Rn2x2}')

Rn3x1 = Parameter(name = 'Rn3x1',
                  nature = 'internal',
                  type = 'complex',
                  value = 'RRn3x1',
                  texname = '\\text{Rn3x1}')

Ru1x3 = Parameter(name = 'Ru1x3',
                  nature = 'internal',
                  type = 'complex',
                  value = 'RRu1x3',
                  texname = '\\text{Ru1x3}')

Ru1x6 = Parameter(name = 'Ru1x6',
                  nature = 'internal',
                  type = 'complex',
                  value = 'RRu1x6',
                  texname = '\\text{Ru1x6}')

Ru2x3 = Parameter(name = 'Ru2x3',
                  nature = 'internal',
                  type = 'complex',
                  value = 'RRu2x3',
                  texname = '\\text{Ru2x3}')

Ru2x6 = Parameter(name = 'Ru2x6',
                  nature = 'internal',
                  type = 'complex',
                  value = 'RRu2x6',
                  texname = '\\text{Ru2x6}')

Ru3x5 = Parameter(name = 'Ru3x5',
                  nature = 'internal',
                  type = 'complex',
                  value = 'RRu3x5',
                  texname = '\\text{Ru3x5}')

Ru4x4 = Parameter(name = 'Ru4x4',
                  nature = 'internal',
                  type = 'complex',
                  value = 'RRu4x4',
                  texname = '\\text{Ru4x4}')

Ru5x1 = Parameter(name = 'Ru5x1',
                  nature = 'internal',
                  type = 'complex',
                  value = 'RRu5x1',
                  texname = '\\text{Ru5x1}')

Ru6x2 = Parameter(name = 'Ru6x2',
                  nature = 'internal',
                  type = 'complex',
                  value = 'RRu6x2',
                  texname = '\\text{Ru6x2}')

UU1x1 = Parameter(name = 'UU1x1',
                  nature = 'internal',
                  type = 'complex',
                  value = 'RUU1x1',
                  texname = '\\text{UU1x1}')

UU1x2 = Parameter(name = 'UU1x2',
                  nature = 'internal',
                  type = 'complex',
                  value = 'RUU1x2',
                  texname = '\\text{UU1x2}')

UU2x1 = Parameter(name = 'UU2x1',
                  nature = 'internal',
                  type = 'complex',
                  value = 'RUU2x1',
                  texname = '\\text{UU2x1}')

UU2x2 = Parameter(name = 'UU2x2',
                  nature = 'internal',
                  type = 'complex',
                  value = 'RUU2x2',
                  texname = '\\text{UU2x2}')

VV1x1 = Parameter(name = 'VV1x1',
                  nature = 'internal',
                  type = 'complex',
                  value = 'RVV1x1',
                  texname = '\\text{VV1x1}')

VV1x2 = Parameter(name = 'VV1x2',
                  nature = 'internal',
                  type = 'complex',
                  value = 'RVV1x2',
                  texname = '\\text{VV1x2}')

VV2x1 = Parameter(name = 'VV2x1',
                  nature = 'internal',
                  type = 'complex',
                  value = 'RVV2x1',
                  texname = '\\text{VV2x1}')

VV2x2 = Parameter(name = 'VV2x2',
                  nature = 'internal',
                  type = 'complex',
                  value = 'RVV2x2',
                  texname = '\\text{VV2x2}')

ee = Parameter(name = 'ee',
               nature = 'internal',
               type = 'real',
               value = '2*cmath.sqrt(1/aEWM1)*cmath.sqrt(cmath.pi)',
               texname = 'e')

G = Parameter(name = 'G',
              nature = 'internal',
              type = 'real',
              value = '2*cmath.sqrt(aS)*cmath.sqrt(cmath.pi)',
              texname = 'G')

td3x3 = Parameter(name = 'td3x3',
                  nature = 'internal',
                  type = 'complex',
                  value = 'Rtd3x3',
                  texname = '\\text{td3x3}')

te3x3 = Parameter(name = 'te3x3',
                  nature = 'internal',
                  type = 'complex',
                  value = 'Rte3x3',
                  texname = '\\text{te3x3}')

tu3x3 = Parameter(name = 'tu3x3',
                  nature = 'internal',
                  type = 'complex',
                  value = 'Rtu3x3',
                  texname = '\\text{tu3x3}')

vs = Parameter(name = 'vs',
               nature = 'internal',
               type = 'real',
               value = '(mueff*cmath.sqrt(2))/NMl',
               texname = 'v_s')

yd3x3 = Parameter(name = 'yd3x3',
                  nature = 'internal',
                  type = 'complex',
                  value = 'Ryd3x3',
                  texname = '\\text{yd3x3}')

ye3x3 = Parameter(name = 'ye3x3',
                  nature = 'internal',
                  type = 'complex',
                  value = 'Rye3x3',
                  texname = '\\text{ye3x3}')

yu3x3 = Parameter(name = 'yu3x3',
                  nature = 'internal',
                  type = 'complex',
                  value = 'Ryu3x3',
                  texname = '\\text{yu3x3}')

sw = Parameter(name = 'sw',
               nature = 'internal',
               type = 'real',
               value = 'cmath.sqrt(1 - cw**2)',
               texname = 's_w')

gp = Parameter(name = 'gp',
               nature = 'internal',
               type = 'real',
               value = 'ee/cw',
               texname = 'g\'')

gw = Parameter(name = 'gw',
               nature = 'internal',
               type = 'real',
               value = 'ee/sw',
               texname = 'g_w')

vev = Parameter(name = 'vev',
                nature = 'internal',
                type = 'real',
                value = '(2*cw*MZ*sw)/ee',
                texname = 'v')

vd = Parameter(name = 'vd',
               nature = 'internal',
               type = 'real',
               value = 'vev*cmath.cos(beta)',
               texname = 'v_d')

vu = Parameter(name = 'vu',
               nature = 'internal',
               type = 'real',
               value = 'vev*cmath.sin(beta)',
               texname = 'v_u')

I1b33 = Parameter(name = 'I1b33',
                  nature = 'internal',
                  type = 'complex',
                  value = 'complexconjugate(yu3x3)',
                  texname = '\\text{I1b33}')

I2b33 = Parameter(name = 'I2b33',
                  nature = 'internal',
                  type = 'complex',
                  value = 'yd3x3',
                  texname = '\\text{I2b33}')

I3b33 = Parameter(name = 'I3b33',
                  nature = 'internal',
                  type = 'complex',
                  value = 'complexconjugate(yd3x3)',
                  texname = '\\text{I3b33}')

I4b33 = Parameter(name = 'I4b33',
                  nature = 'internal',
                  type = 'complex',
                  value = 'yu3x3',
                  texname = '\\text{I4b33}')

I5b33 = Parameter(name = 'I5b33',
                  nature = 'internal',
                  type = 'complex',
                  value = 'complexconjugate(ye3x3)',
                  texname = '\\text{I5b33}')

I6b33 = Parameter(name = 'I6b33',
                  nature = 'internal',
                  type = 'complex',
                  value = 'ye3x3',
                  texname = '\\text{I6b33}')

